2025-03-04 - 2.1.0.5_stable_2025-03-04
==========
This is an update release to 2.1.0.4, fixing critical issues.

This update fixes a number of issues reported with 2.1.0.4, 2.1.0.3, and 2.1.0.1.
If you are running one of these versions, it is **highly** recommended that you upgrade as soon as possible.

## Important changes from 2.0.8.1 or older:
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme for server
- Settings database version updated to v8
- Backup database updated to v13
- Automatic updating not supported

## Detailed list of changes
- Fixed issue where failed uploads would be ignored in certain cases
- Increased default value for `--read-write-timeout` to 10 min to counter timeouts on large sets
- Fixed a case where a leading slash would be removed from source url paths
- Fixed fallback support for zip files with non-deflate compressed files
- Fixed dark/light-mode icons on MacOS

2025-01-31 - 2.1.0.4_stable_2025-01-31
==========
This is the first stable release of the Duplicati 2.x codebase!

Thanks to the amazing Duplicati community who continue to contribute in force.

**Important changes from 2.0.8.1**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme for server
- Settings database version updated to v8
- Backup database updated to v13
- Automatic updating not supported

This update builds on beta 2.1.0.3 with only a minor tweak to WebDAV timeouts.

# High-level view of changes from beta 2.0.8.1
- Updated to .NET8 and Kestrel/ASP.NET Core
- Updated the authentication system
- Added support for encrypting database fields
- Fixed a number of stability issues
- Added support for remote control
- Added secret providers
- Updated blocksize to 1MiB by default 
- Removed RC4 database encryption (auto-decrypt)
- Added read-write timeout to most backends

2025-01-22 - 2.1.0.3_beta_2025-01-22
==========
This release is a beta release, considered to be stable for general use.
This release is expected to progress to a stable release if no major blockers are found.

**Unlike 2.0.8.1 and earlier Duplicati now runs on .NET8.**
The builds are self-contained so Mono or .NET installations are not required to install.
Automatic updating to this version is not supported.

**Important changes from 2.0.8.1**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme for server
- Settings database version updated to v8
- Backup database updated to v13

# New tool to manage a running server
Due to incompatibility with `duplicati_client` a new tool is included, named `Duplicati.CommandLine.ServerUtil.exe`/`duplicati-server-util`.

This update builds on 2.1.0.2 and fixes a number of issues that were reported and fixed with the help of the incredible Duplicati community.

# Summary of changes from 2.1.0.2
- WebSocket path is proxy aware
- Removed most of the noisy log messages
- Fixed some issues with QuotaInfo on the file-based backend
- Multiple fixes to the FTP backend
- Agent can now register-then-exit and retain password
- Updated SSH.NET to fix an issue with missing HMAC algorithm
- Changed docs link to point to new docs site
- Added read-write timeout to most backends
- Added option to issue a "forever token" for use in authenticated environments
- Updated MacOS launchAgents in `.pkg` files
- Preload configuration now supports the data folder
- Fixed bugreport download
- Fixed shutdown crashes in TrayIcon
- Updated translations, thanks to the translation community!
- Fixed TrayIcon disconnecting after 15 minutes
- Removed the Captcha for deleting remote files
- Added help links to login pages to explain how to get access
- Support for self-signed certificates when sending http reports
- Extended ServerUtil with a status command and option to wait for backups to complete
- Fixed a bug preventing database recreate in special cases
- Prevent optimize calls after calling vacuum on the SQLite database
- Added a warning if the volume size is excessive
- Fixed a logic test for AWS S3 permissions

2024-11-29 - 2.1.0.2_beta_2024-11-29
==========
This release is a beta release, considered to be stable for general use.
This release is expected to progress to a stable release if no major blockers are found.

**Unlike previoius builds, this one has a major change in the build system, so it now runs on .NET8.**
The builds are self-contained so Mono or .NET installations are not required to install.
Automatic updating to this version is not supported.

**Important changes from last Beta**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme for server
- Settings database version updated to v8
- Backup database updated to v13

# New tool to manage a running server
Due to incompatibility with `duplicati_client` a new tool is included, named `Duplicati.CommandLine.ServerUtil.exe`/`duplicati-server-util`.

# Summary of changes
- Updated to .NET8
- Updated to Kestrel/ASP.NET Core
- Updated the authentication system
- Added support for encrypting database fields
- Updated most packages to the latest version, including SQLite
- Changed to Avalonia for the TrayIcon
- Split into operating system specific packages
- Fixed a number of stability issues
- Updated backends to work with `async`
- Added a Telegram report destination
- Updated WebDAV and FTP backends
- Added support for remote control
- Improved IPv6 support
- Removed 7z compression
- Added secret providers
- Added a new experimental UI
- Added new server-util executable
- Added new Agent executable
- Removed Tardigrade in favor of Storj
- No longer using local blocks for restore by default, and testing more blocks
- Updated blocksize to 1MiB by default 
- Removed RC4 database encryption (auto-decrypt)

2024-11-25 - 2.1.0.1_experimental_2024-11-25
==========
This release is an experimental release intended to be used for testing prior to a stable release.
This release is expected to progress to a stable release if no major blockers are found.

**Unlike previoius builds, this one has a major change in the build system, so it now runs on .NET8.**
The builds are self-contained so Mono or .NET installations are not required to install.
Automatic updating to this version is not supported.

**Important changes from last Experimental**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme for server
- Settings database version updated to v8
- Backup database updated to v13

# New tool to manage a running server
Due to incompatibility with `duplicati_client` a new tool is included, named `Duplicati.CommandLine.ServerUtil.exe`/`duplicati-server-util`.

# Summary of changes from previous experimental
- Updated to .NET8
- Updated to Kestrel/ASP.NET Core
- Updated the authentication system
- Added support for encrypting database fields
- Updated most packages to the latest version, including SQLite
- Changed to Avalonia for the TrayIcon
- Split into operating system specific packages
- Fixed a number of stability issues
- Updated backends to work with `async`
- Added a Telegram report destination
- Updated WebDAV and FTP backends
- Added support for remote control
- Improved IPv6 support
- Removed 7z compression
- Added secret providers
- Added a new experimental UI
- Added new server-util executable
- Added new Agent executable
- Removed Tardigrade in favor of Storj
- No longer using local blocks for restore by default, and testing more blocks
- Updated blocksize to 1MiB by default
- Removed RC4 database encryption (auto-decrypt)

# Changes from experimental 2.1.0.0
- Fixed an issue with silent MSI upgrade
- Updated the FTP backend be more compatible with 2.0.8.1

2024-11-15 - 2.1.0.0_experimental_2024-11-15
==========
This release is an experimental release intended to be used for testing prior to a stable release.
This release is expected to progress to a stable release if no major blockers are found.

**Unlike previoius builds, this one has a major change in the build system, so it now runs on .NET8.**
The builds are self-contained so Mono or .NET installations are not required to install.
Automatic updating to this version is not supported.

**Important changes from last Experimental**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme for server
- Settings database version updated to v8
- Backup database updated to v13

# New tool to manage a running server
Due to incompatibility with `duplicati_client` a new tool is included, named `Duplicati.CommandLine.ServerUtil.exe`/`duplicati-server-util`.

# Summary of changes
- Updated to .NET8
- Updated to Kestrel/ASP.NET Core
- Updated the authentication system
- Added support for encrypting database fields
- Updated most packages to the latest version, including SQLite
- Changed to Avalonia for the TrayIcon
- Split into operating system specific packages
- Fixed a number of stability issues
- Updated backends to work with `async`
- Added a Telegram report destination
- Updated WebDAV and FTP backends
- Added support for remote control
- Improved IPv6 support
- Removed 7z compression
- Added secret providers
- Added a new experimental UI
- Added new server-util executable
- Added new Agent executable
- Removed Tardigrade in favor of Storj
- No longer using local blocks for restore by default, and testing more blocks
- Updated blocksize to 1MiB by default 
- Removed RC4 database encryption (auto-decrypt)

2024-11-14 - 2.0.9.111_canary_2024-11-14
==========
This release is a canary release intended to be used for testing.
This release is expected to progress to a stable release if no major blockers are found.

**Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8.**
The builds are self-contained so Mono or .NET installations are not required to install.

**Important changes from last Beta**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme for server
- Settings database version updated to v8
- Backup database updated to v13

# New tool to manage a running server
Due to incompatibility with `duplicati_client` a new tool is included, named `Duplicati.CommandLine.ServerUtil.exe`/`duplicati-server-util`.

# Upgrade from `v2.0.9.105`
If you are upgrading from 2.0.9.105 please see the release notes from 2.0.9.106 for how to prepare the database. 
Upgrades from other versions do not need special steps.

## Detailed list of changes:
- Added missing options to Agent commandline
- Fixed a warning when using the S3 backend
- Sending package type id to usage reporter
- Reduced log output and increased heartbeat period for Agent

2024-11-09 - 2.0.9.110_canary_2024-11-09
==========
This release is a canary release intended to be used for testing.
This release is expected to progress to a stable release if no major blockers are found.

**Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8.**
The builds are self-contained so Mono or .NET installations are not required to install.

For users running on builds prior to 2.0.9.x, this build will appear later as an update that requires manual installation.

**Important changes from last Beta**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme for server
- Settings database version updated to v8
- Backup database updated to v13

Please see list of known issues related to .NET8/Kestrel upgrade:
https://github.com/orgs/duplicati/projects/2

# New tool to manage a running server
Due to incompatibility with `duplicati_client` a new tool is included, named `Duplicati.CommandLine.ServerUtil.exe`/`duplicati-server-util`.

# Upgrade from `v2.0.9.105`
If you are upgrading from 2.0.9.105 please see the release notes from 2.0.9.106 for how to prepare the database. 
Upgrades from other versions do not need special steps.

## Downgrade backup database to v12
If you need to go back to v12, run these two SQL statements:
```
DROP INDEX "UniqueBlockVolumeDuplicateBlock";
UPDATE "Version" SET "Version" = 12;
```

## Detailed list of changes:
- Minor updates to help text and option types
- Fixed an issue with file backend url on Windows, thanks @Jojo-1000
- Fixed a condition that could hang the trayicon on a crash
- Updated AWSSDK to latest version
- Fixed an issue with the AWS Secrets Manader provider stalling the load of settings
- Fixed Telegram notifications
- Added Agent MSI installer
- Updated Avalonia to the latest version to fix crash on Debian
- Added Agent PKG for MacOS
- Added CLI PKG for MacOS
- Added autolaunch for Agent Deb package
- Added option to let scripts create log entries

2024-11-06 - 2.0.9.109_canary_2024-11-06
==========
This release is a canary release intended to be used for testing.
This release is expected to progress to a stable release if no major blockers are found.

**Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8.**
The builds are self-contained so Mono or .NET installations are not required to install.

For users running on builds prior to 2.0.9.x, this build will appear later as an update that requires manual installation.

**Important changes from last Beta**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme for server
- Settings database version updated to v8
- Backup database updated to v13

Please see list of known issues related to .NET8/Kestrel upgrade:
https://github.com/orgs/duplicati/projects/2

# New tool to manage a running server
Due to incompatibility with `duplicati_client` a new tool is included, named `Duplicati.CommandLine.ServerUtil.exe`/`duplicati-server-util`.

# Upgrade from `v2.0.9.105`
If you are upgrading from 2.0.9.105 please see the release notes from 2.0.9.106 for how to prepare the database. 
Upgrades from other versions do not need special steps.

## Downgrade backup database to v12
If you need to go back to v12, run these two SQL statements:
```
DROP INDEX "UniqueBlockVolumeDuplicateBlock";
UPDATE "Version" SET "Version" = 12;
```

## Detailed list of changes:
- Updated list of S3 endpoints to include Segate Lyve
- Updated all backends to support asyncronous calls
- Bugfixes for the new API implementation
- Bugfix for recreate failing on some systems
- Added option to disregard advisory locking on Linux
- Fixed issues with WebDAV and self-signed certificates
- Removed the deprecated FTP backend and made FluentFTP handle both FTP and aFTP
- Fixed a performance issue with compacting
- Fixed issues with remote control registration
- Fixed a performance issue with SharpAESCrypt
- Fixed an incorrect error masking another error in backups
- Support for EC-based certificates, thanks @mnaiman
- Always excluding the SQLite journal file for the active database
- Added support for detecting self-signed certificates and securely accepting them
- Cleaned up CSS/Less files, thanks @luixxiul
- Improved IPv6 support for `loopback` and `any`
- Fixed Rclone backend not setting defaults for empty strings
- Fixed a bug in the recompress tool, if not using encryption
- Fixed an issue where SharePoint would not honor the server throttle requests
- Improved cleanup after removing volumes, thanks @Jojo-1000
- Removed 7z compression
- Simplified showing the default value of boolean options
- Fixed an issue with leftover index files, thanks @Jojo-1000 and @ts678
- Fixed an issue that would cause verification errors if the compact was interrupted, thanks @Jojo-1000 and @ts678
- Fixed an issue where `dindex` files would be missing a blocklist, causing extra download on restores
- Fixed CSS/Less to rely on autoprefixer, thanks @luixxiul
- Added support for reducing the system load intensity
- Disabled Telegram notification destination
- Added support for external secret providers

2024-10-03 - 2.0.9.108_canary_2024-10-03
==========
This release is a canary release intended to be used for testing in preparation of a later stable release.

**Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8.**

For that reason, the updater in previous canary builds does not detect this update yet, but this can be activated at a later time.

The builds are self-contained so Mono or .NET installations are not required to install.

**Important changes from last Beta**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme for server
- Settings database version updated to v8

Please see list of known issues related to .NET8/Kestrel upgrade:
https://github.com/orgs/duplicati/projects/2

# New tool to manage a running server
Due to incompatibility with `duplicati_client` a new tool is included, named `Duplicati.CommandLine.ServerUtil.exe`/`duplicati-server-util`.

# Upgrade from `v2.0.9.105`
If you are upgrading from 2.0.9.105 please see the release notes from 2.0.9.106 for how to prepare the database. 
Upgrades from other versions do not need special steps.

# New experimental UI
This version features a new more modern UI based on Angular18 :tada:
Not all features are implemented just yet, so the new UI is not yet default.
The curious ones can try it by visiting `http://localhost:8200/theme.html` (or similar).

## Detailed list of changes:
- Added export feature to server-util
- Default to using .NET built-in Zip code for performance improvements
- Added `/health` healthcheck API to server + server-util
- Removed unuspported use of `Thread.CurrentCulture`
- Removed unsupported use of `Environment.OSVersion`
- Removed support for piped download as it was slow and caused hangs
- Fixed an issue with multi-instance detection that caused crashes
- Added a new experimental UI
- Added support for enabling remote control

2024-09-11 - 2.0.9.107_canary_2024-09-11
==========
This release is a canary release intended to be used for testing in preparation of a later stable release.

**Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8.**

For that reason, the updater in previous canary builds does not detect this update yet, but this can be activated at a later time.

The builds are self-contained so Mono or .NET installations are not required to install.

**Important changes from last Beta**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme for server
- Settings database version updated to v8

Please see list of known issues related to .NET8/Kestrel upgrade:
https://github.com/orgs/duplicati/projects/2

# New tool to manage a running server
Due to incompatibility with `duplicati_client` a new tool is included, named `Duplicati.CommandLine.ServerUtil.exe`/`duplicati-server-util`.

# Upgrade from `v2.0.9.105`
If you are upgrading from 2.0.9.105 please see the release notes from 2.0.9.106 for how to prepare the database. 
Upgrades from other versions do not need special steps.

## Detailed list of changes:
- Prepared some additional localization strings
- Fixed a bug with server-util not finding backups by name
- Added support for insecure connections from server-util
- Embedding backwards compatible ARMv7 binaries in builds
- Another fix for MSI packages breaking on upgrade
- Improved Swagger output to include types
- Replaced `WebRequest` for WebDAV with `HttpClient`
- Reduced log output from server-util and TrayIcon
- Microfix for USN parsing
- Fixed a case where almost identical files could cause broken index files, thanks @Jojo-1000
- Also improved handling when reading index files with broken lists, thanks @Jojo-1000
- Fixed auto-repair failing due to locked databases, thanks @Jojo-1000

2024-09-03 - 2.0.9.106_canary_2024-09-03
==========
This release is a canary release intended to be used for testing in preparation of a later stable release.

**Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8.**

For that reason, the updater in previous canary builds does not detect this update yet, but this can be activated at a later time.

**Important changes from last Beta**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme
- Settings database version updated to v8

Please see list of known issues related to .NET8/Kestrel upgrade:
https://github.com/orgs/duplicati/projects/2

# New tool to manage a running server
Due to incompatibility with `duplicati_client` a new tool is included, named `Duplicati.CommandLine.ServerUtil.exe`/`duplicati-server-util`.

The new tool can pause/resume a backup, run a backup, change the password and more:
https://github.com/duplicati/duplicati/pull/5483

# Encrypting database fields
To reduce the risk of leaking encryption passphrases and credentials, 
many fields in the `Duplicati-server.sqlite` file can now be encrypted with user supplied key.

The following environment variables control the encryption options:
- `SETTINGS_ENCRYPTION_KEY`: Provides the settings encryption key.
- `DUPLICATI__REQUIRE_DB_ENCRYPTION_KEY=true`: Prevents starting with a key (also supported via `--require-db-encryption-key-true`).
- `DUPLICATI__DISABLE_DB_ENCRYPTION=true`: Forces Duplicati to run without encryption (also supported via `--disable-db-encryption=true`).

If you need to change the key, you can temporarily decrypt the database by starting the server with `--disable-db-encryption`.
After starting, stop the instance again, change `SETTINGS_ENCRYPTION_KEY` to the new key and start again without the argument, to have it re-encrypted.

To downgrade from this version, run once with `--disable-db-encryption`, and change the version number to 7, then install the previous version.

**Note for users of 2.0.9.105:** The method for extracting an encryption key from the machine seriail number did not produce secure results. 
This feature has now been removed, and will prevent you from upgrading. To upgrade from 2.0.9.105, start with `--disable-db-encryption`, then exit, then upgrade to 2.0.9.106+.
Users from other versions than 2.0.9.105 will not have difficulties, and Docker users should not see any issues either.

## Detailed list of changes:
- Fixed console duration output including days
- Added blacklisting of some settings encryption keys
- Refactored the way databases are located to use shared code
- Fixed translation consistency issues, thanks @luixxiul
- Fixed missing commandline help on Windows
- Added dift support for JWT expiration
- Removed DeviceId as the source for settings encryption keys
- Fixed an issue where an authentication issue was reported as a server error
- Fixed MSI packages failing to upgrade
- Re-added the `FORSERVICE=true` flag to MSI packages
- Improved diganostics output from server-util

2024-08-29 - 2.0.9.105_canary_2024-08-29
==========
This release is a canary release intended to be used for testing in preparation of a later stable release.

**Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8.**

For that reason, the updater in previous canary builds does not detect this update yet, but this can be activated at a later time.

**Important changes from last Beta**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme
- Settings database version updated to v8
- Encrypting data in `Duplicati-server.sqlite` with machine serial number

Please see list of known issues related to .NET8/Kestrel upgrade:
https://github.com/orgs/duplicati/projects/2

# New tool to manage a running server
Due to incompatibility with `duplicati_client` a new tool is included, named `Duplicati.CommandLine.ServerUtil.exe`/`duplicati-server-util`.

The new tool can pause/resume a backup, run a backup, change the password and more:
https://github.com/duplicati/duplicati/pull/5483

# Encrypting database fields
To reduce the risk of leaking encryption passphrases and credentials, 
many fields in the `Duplicati-server.sqlite` file will be encrypted after running this version.
The key used to encrypt is derived from the machine serial number, so **the database cannot be decrypted on another machine**.

If your strategy relies on being able to read this database, you must take action.
These two setups are vulnerable:
- If you do not store a copy of the passphrase elsewhere
- If you make a copy of the settings database

We strongly recommend that you store a copy of the passphrase(s) securely, regardless of your setup.

If you want to choose the settings encryption key, you can set the environment variable `SETTINGS_ENCRYPTION_KEY` to a custom value.
If you want to never use the serial number as the passphrase, set the environment 
variable `DUPLICATI__REQUIRE_DB_ENCRYPTION_KEY=true`, which will prevent Duplicati from starting without a user provided key.

If you need to change the key, you can temporarily decrypt the database by starting the server with `--disable-db-encryption`.
After starting, stop the instance again, set `SETTINGS_ENCRYPTION_KEY` and start again without the argument, to have it re-encrypted.

To downgrade from this version, run once with `--disable-db-encryption`, and change the version number to 7, then install the previous version.

As always, feedback is appreciated!

## Detailed list of changes:
- Simplified logic for finding the folder containing the settings database
- Encrypting settings in database with machine serial number
- Fixed issue with server not responding to CTRL+C or stop commands
- Fixed issue with TrayIcon not trying multiple ports
- Added utility program to control a running server
- Improved the initial password setup experience
- Added support for logging to Windows Event Log and added Description to Windows Service
- Fixed an issue where the retention value could not be saved if it was a number
- Fixed an upgrade issue where `%HOME%` would not resolve correctly on Linux
- Fixed an issue with parsing `--send-http-result-output-format`
- Updated Docker image to use environment variables and not use settings encryption by default
- Added support for pre-loading default settings on a machine or installation

2024-08-21 - 2.0.9.104_canary_2024-08-21
==========
This release is a canary release intended to be used for testing in preparation of a later stable release.

**Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8.**

For that reason, the updater in previous canary builds does not detect this update yet, but this can be activated at a later time.

**Important changes from last Beta**
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme
- Settings database version updated to v7

Please see list of known issues related to .NET8/Kestrel upgrade:
https://github.com/orgs/duplicati/projects/2

## Detailed list of changes:
- Removed some console logging in JS
- Updates to localization, thanks @luixxiul
- Improved navigation in UI, thanks @luixxiul
- Fixed some issues with using TrayIcon detached from Server
- Made hostname validation more backwards compatible

2024-08-15 - 2.0.9.103_canary_2024-08-15
==========
This release is a canary release intended to be used for testing in preparation of a later stable release.

** Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8. **

For that reason, the updater in previous canary builds does not detect this update yet, but this can be activated at a later time.

** Important changes from last Beta **
- Updated to .NET8 with OS specific builds
- Using Kestrel as the API/UI server
- Mandatory password and new authentication scheme
- Settings database version updated to v7

Please see list of known issues related to .NET8/Kestrel upgrade:
https://github.com/orgs/duplicati/projects/2

## Detailed list of changes:
- Multiple updates for styling and visual consistency, thanks @luixxiul
- Extensive work on making all documentation strings follow a consistent logic, thanks @luixxiul
- Fixed support for Websocket over https, thanks @Riches
- Fixed an issue with `--webservice-allowed-hostnames` being renamed
- Fixed support for captcha on systems without the Arial font
- Using different default filenames for logging with TrayIcon and Server
- Fixed issue with livelog not showing contents
- Fixed an issue where a login issue would not show an option to log in
- Fixed showing correct port number in log output
- Fixed not showing scheduler state and next backup
- Fixed an issue where a crash would show the wrong stack trace
- Fixed an issue with generating massive number of inotify watchers
- Re-enabled the button to log out
- Added option to disable the visual captcha
- Added support for providing server commandline arguments via environment variables
- Fixed log error message related to update download url
- Added Telegram reporting module

2024-08-02 - 2.0.9.102_canary_2024-08-02
==========
This release is a canary release intended to be used for testing in preparation of a later stable release.

** Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8. **

For that reason, the updater in previous canary builds does not detect this update yet, but this can be activated at a later time.

Please see release notes for `v2.0.9.100` for a summary of changes.
Please see list of known issues related to .NET8 upgrade:
https://github.com/orgs/duplicati/projects/2

This build is changes the underlying webserver to Kestrel, which is common for .NET based projects.
A big thanks to @tsuckow and @npodbielski for their contributions towards this goal.

** This build changes authentication for the WebUI **
With this build it is no longer possible to use the web-UI without a password. 
If no password is set, a random password is generated.
For users activating the UI via the TrayIcon, this will automatically log in, as the TrayIcon hosts the server.
For users that rely on the WebUI without the TrayIcon, as special link is emitted during startup that allows login.
For both cases, the password can be (re-)set with `--webservice-password=...` as a startup commandline argument.

## Detailed lits of changes:
- Updated libraries: Mega, SharpAESCrypt, Storj, FluentFTP
- Updated Webserver to Kestrel, thanks @tsuckow and @npodbielski
- Implemented websocket based messages in WebUI, thanks @npodbielski
- HTTP reports now give a warning if the server rejects the message
- Extensive changes to strings to improve localization, structure and layout in WebUI, thanks @luixxiul
- Uplink libraries fixed on all platforms, thanks @TopperDEL
- Fixed an issue where strings with line-breaks would not show in translated form
- Removed remnants of Tardigrade backend in favor of Storj API
- Added Sakura Cloud to list of S3 providers
- Changed aFTP default SSL to `None`, meaning "System Default"
- Added check to find Duplicati server database in old location on MacOS
- Fixed issues with `.deb` packages overwriting options file on update
- Fixed issue with backups using VSS and a drive letter as the source
- Fixed issue with Arm 32bit not reading files larger than 4GiB

2024-06-27 - 2.0.9.101_canary_2024-06-27
==========
This release is a canary release intended to be used for testing in preparation of a later stable release.

** Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8. **

For that reason, the updater in previous canary builds does not detect this update yet, but this can be activated at a later time.

Please see release notes for `v2.0.9.100` for a summary of changes.

## Detailed lits of changes:
- Removed obsolete platform detection code, thanks @Jojo-1000
- Changed XMPP library to Artalk.Xmpp, thanks @Jojo-1000
- Fixed an issue with rendering non-ascii
- Cleaned up some library licenses
- Fixed SQL quotes and added quote guard to SQL queries, thanks @Jojo-1000
- Updated AWS region list
- Fixed compare logic not working on Linux, thanks @Jojo-1000
- Added logic to set AWS hostname in UI based on selected region
- Removed deprecated S3 options `--s3-european-buckets` and `--s3-use-rrs`
- Removed support for deprecated spelling of S3 credentials
- Removed bundled GPG Windows binaries
- Removed unsupported AlphaFS
- Changed restore to not use local blocks by default
- Updated Poli Systems endpoints, thanks @IIPoliII
- Added Debian Arm7 packages
- Updated CoCoL to latest .NET 8 version
- Added support for arguments for scripts
- Improved speed of the recovery tool, using in-memory lookup and added configurable open archive cache
- Increasing the default number of archives tested to 0.1%
- Updated SharpAESCrypt to v2. Note this deprecates threaded encryption, and adds padding validation. Set the environment variable `AES_IGNORE_PADDING_BYTES=1` if you re-encrypt archives with an external AES Crypt tool.

2024-05-30 - 2.0.9.100_canary_2024-05-30
==========
This release is a canary release intended to be used for testing in preparation of a later stable release.

** Unlike regular canary builds, this one has a major change in the build system, so it now runs on .NET8. **

For that reason, the updater in previous canary builds does not detect this update yet, but this can be activated at a later time.

## These are some of the major changes that can cause surprises, so please review and see if any are relevant for your usage:

- Changed runtime to .NET8, shipping with dependencies, no more Mono or .NET install required
- Changed from portable executable to operating system and CPU architecture dependent packages
- Server database with SQLite is no longer "encrypted" with RC4, running a new canary or later will decrypt the database
- The executable `Duplicati.Library.AutoUpdater.exe` is renamed to `Duplicati.CommandLine.AutoUpdater.exe` and has limited functionality
- The Windows MSI installer has been reduced, it offers essentially no options for now and no UI
- The updater has been rewritten to rely on installing the packages, instead of having the "in-place" updates
  - There are now longer a spawned secondary process
  - The updates folder can be deleted
  - Installing an update now requires manually downloading and running the installer (you still get a notice)
 - To fit better with non-Windows systems the executables on non-Windows are all lower-case and prefixed with `duplicati`:
    - `Duplicati.GUI.TrayIcon.exe` -> `duplicati`
    - `Duplicati.CommandLine.exe` -> `duplicati-cli`
    - `Duplicati.RecoveryTool.exe` -> `duplicati-recovery-tool`
    - ... and similar for others

## More detailed list of changes:
- More than 300 commits for the change to .NET8, credits to @mnaiman, @tsuckow, @Jojo-1000, @npodbielski and many others
    - These commits were done over many years an accumulated, so here is a summary
    - Changes to support new .NET framework methods
    - Changed to use Avalonia UI instead of WinForms
    - Removed `mono` support and requirement
    - Upgraded packages
    - Reworked binaries and some queries for SQLite
- 1MiB blocksize default, thanks @mr-russ
- IOScheduling for RPM packages, thanks @achims311
- Selective dynamic loading of modules to avoid loader errors
- New manifest for updater
- Added GNUGP to Docker, thanks @wjansenw
- Improved cross-platform support, thanks @SimonNyvall
- Fixed issue with custom reporting message for http-modules
- RC4 database encryption
- Fixed issues with recoverytool, thanks @Jojo-1000
- Additional quota control options, thanks @Jojo-1000
- Improved file-source picker with filters, thanks @Jojo-1000
- Fixes to forced local, thanks @Jojo-1000
- Fixed an issue with OpenStack loosing username and password, thanks @Jojo-1000
- Improved handling of boolean options in the UI, thanks @Jojo-1000
- Fixed issues with missing executables and permissions on non-Windows
- Fixed an issue when restoring without a localdatabase, using non-default blocksize, and no parameters
- Rebuilt the MSI proces for `wixl` support
- Added Win-Arm64 support

2024-04-19 - 2.0.7.103_canary_2024-04-19
==========
- Added microfix that adds a missing default value to the backup reports.

2024-04-03 - 2.0.7.102_canary_2024-04-03
==========
This build is intended to be the last build that uses .Net4 (aka .Net Desktop).
Future builds are expected to use .Net8 and will require a manual update,
because the .Net builds are no longer operating system independent.

The upside is that there are fewer dependencies (no more Mono),
and execution times are greatly improved.

* Removed donation messages
* Updated MacOS Installer license text
* Updated installer to support future manual upgrade
* Added information to reports when encountering an exception

2024-03-08 - 2.0.7.101_canary_2024-03-08
==========
* Updated license to MIT, thanks @kenkendk
* Fixed crash when logging startup errors, thanks @Jojo-1000
* Updated SSH.Net, thanks @gpatel-fr
* Fixed exception happening when stopping the running backup, thanks @Jojo-1000
* Fixed issue with connecting to server thanks @kellycampbe
* Improved file-backend listing speed, thanks @Jojo-1000
* Added support for IPv6 addresses as hostnames, thanks @Jojo-1000
* Added AliyunOSS backend, thanks @trueai-org
* Added fix to not show empty form on restarts, thanks @kenkendk
* Updated Uplink for Storj to 2.12, thanks @gpatel-fr and @kenkendk
* Added machine and backup id options for reports, thanks @kenkendk
* Fixed issues with using alternate OAuth server url, thanks @gpatel-fr and @kenkendk

2023-12-27 - 2.0.7.100_canary_2023-12-27
==========
This canary is a bugfix release with error reporting improvements, no database format change.
Options changes:
     `--s3-disable-chunk-encoding` added to the AWS backend (only useful for some providers)
     `--full-remote-verification` changes from a boolean option to a tri-valued one. Existing configurations should not be impacted.
     `--aftp-log-to-console` and `--aftp-log-privateinfo-to-console` added to the Alternative Ftp backend (for debugging purposes only)
     `--repair-force-block-use` added to the database rebuild process (only for very damaged databases)

Changes:
  - Fix various bugs with backup filters, thanks @jojo-1000
  - Fix highlighting in restore file picker, thanks @jojo-1000
  - Update mail libraries, thanks gpatel-fr
  - Remove dead facebook link and add doc link, thanks @jojo-1000
  - Remove obsolete hubic backend, thanks @gpatel-fr
  - Remove obsolete tool TlsTest, thanks @gpatel-fr
  - Update Serbian translation, thanks @sagitarion
  - Improve result reporting for interrupted/failed backups, thanks @jojo-1000
  - Add return code 3 to help.txt, thanks @gpatel-fr
  - Fix missing file error caused by interrupted compact, thanks @jojo-1000 and @warwickmm
  - Include exception type and message in job log, thanks @jojo-1000
  - Update thirdparty info to remove obsolete references, thanks @gpatel-fr
  - Remove JS error in negated 'IN' expressions, fixing bad restore prompt (thanks @gorosgobe and Bloomberg)
  - Update restsharp, thanks @gpatel-fr
  - Update FluentFTP (Alternative FTP) to 46.0.2 and fixes for initial directory creation, thanks @taz-il
  - Add console log to the Alternative FTP backend, thanks @gpatel-fr
  - Fix hidden username and password options when changing backends, thanks @jojo-1000
  - Add option to disable chunked encoding for AWS S3, thanks @jojo-1000
  - Specify the name of the backup when reporting failures, thanks @taz-il
  - Allow to perform tests without checking file list, thanks @gpatel-fr
  - Enhance database rebuilding of very damaged databases, thanks @gpatel-fr
  - Set the job state to error when post backup verification fails, thanks @gpatel-fr
  - Allow full-remote-verification to target only list and index files, thanks @gpatel-fr
  - Fix restore search error in RestoreController, thanks @jojo-1000
  - Replace agsXmpp with Sharp.Xmpp, thanks @gpatel-fr
  - Set default log level to Dryrun if dryrun option is set, thanks @gpatel-fr
  - Enhance Python restore tool, thanks @gpatel-fr
  - Report all filesets in error in VerifyConsistency, thanks @gpatel-fr
  - Remove reliance on statusText for error messages (http2 proxy support), thanks @jojo-1000
  - Keep user-defined whitespace in description field (allow multiline support), thanks @jojo-1000
  - Force a vacuum of bug report database for privacy reasons, thanks @gpatel-fr

2023-05-25 - 2.0.7.2_canary_2023-05-25
==========
- update Github tests versions, thanks @taz-il
- Add Catalyst Cloud as an OpenStack target, thanks @Andrew Ruthven

2023-05-25 - 2.0.7.1_beta_2023-05-25
==========
After almost 2 years, a new Beta has taken its time, but it’s finally 
there. It’s a roll-up of all the fixes since the last beta build and is 
expected to cause very few issues when upgrading. This release is almost 
identical to Canary 106.

It involves a better UI for dark mode, better support for Dropbox, 
Jottacloud, S3, Tencent backends, add IDrive backend, TLS modernization, 
bug fixes, upgrades to libraries.

Points of attention:

- database upgrade from 11 to 12: Downgrade from this version requires 
manually adjusting the version 
number in the database. The additions can be re-applied if the database is 
upgraded again later.

2023-05-25 - 2.0.7.0_experimental_2023-05-25
==========
After almost 2 years, a new Beta has taken its time, but it’s finally 
there. It’s a roll-up of all the fixes since the last beta build and is 
expected to cause very few issues when upgrading. This release is almost 
identical to Canary 106.

It involves a better UI for dark mode, better support for Dropbox, 
Jottacloud, S3, Tencent backends, add IDrive backend, TLS modernization, 
bug fixes, upgrades to libraries.

Points of attention:

- database upgrade from 11 to 12: Downgrade from this version requires 
manually adjusting the version 
number in the database. The additions can be re-applied if the database is 
upgraded again later.

2023-05-03 - 2.0.6.106_canary_2023-05-03
==========
- Added endpoints for S3 compatible storage from Scaleway, thanks 
@adithajay
- updates rumps to python3, add icon normal-warning, set rumps as default, 
thanks @gpatel-fr

2023-04-09 - 2.0.6.105_canary_2023-04-09
==========
- Disable automatic use of v2 authid for Jottacloud, thanks @albertony
- Fix gui tests, thanks @gpatel-fr
- Make Xamarin-based CocoaRunner the default on Mac, thanks @dgileadi
- Fix #4716 by falling back to System hasher, thanks @vilaureu
- Allow install on Debian bookworm by using libayatana-appindicator1, thanks @gpatel-fr
- Build Debs with gzip compression for old debian releases, thanks @gpatel-fr
- Add Impossible Cloud provider for S3 backend, thanks @daniel0m0baker
- Add possibility to set custom SQlite pragmas, thanks @gpatel-fr
- Updates Newtonsoft, Mega and SSH.NET libraries, thanks @gpatel-fr
- Raise the file time shift to 2s for Mac unittests, thanks @gpatel-fr
- Remove obsolete Letsencrypt cert in Docker builds, thanks @Bubblesaway (forum)

2022-06-15 - 2.0.6.104_canary_2022-06-15
==========
* Updated compressed files exclusion list, thanks @martengooz
* Updated list of Infomaniak servers, thanks @linitio
* Fixed irregular parsing of `--patch-with-local-blocks`, thanks @warwickmm
* Added `IDrivee2` backend, thanks @MuhammadAbrar1984
* Fixed `--use-move-for-put` which broken in previous build, thanks @kenkendk

2022-06-12 - 2.0.6.103_canary_2022-06-12
==========
* Avoid creating empty data folders, thanks @albertony
* Disable updates for debug builds, thanks @AxeOfMen
* Fixed issue with empty popups, thanks @AxeOfMen
* Improved Python verification script, thanks @mr-flibble
* Fixed issue where invalid timestamps would prevent files from being backed up, thanks @albertony
* Improved restore progress information, thanks @flawiddsouza
* Python verification script now has statistics, thanks @mr-flibble
* Added Swiss Backup to list of OpenStack and S3 providers, thanks @PAPAMICA
* Fixed errors on updated Hyper-V versions, thanks @awerghcpc
* Added check to detect partially written files on network drives, thanks @dkrahmer
* Added IDrive as a backup destination, thanks @dkrahmer
* Removed insecure TLS versions, thanks @mnaiman
* Changed Jottacloud backend to use OAuth, thanks @albertony

2022-04-06 - 2.0.6.102_canary_2022-04-06
==========
**NOTE**: This is a rebuild of 2.0.6.101, now signed.

- Fixed duplicity documentation Url, thanks @beppo-dd
- Added option to set Tencent storage class, thanks @moesoha
- Added Poli Systems as S3 provider, thanks @IIPoliII
- Improved automated unittests, thanks @samuel-w
- Improved contrast ratios in themes, thanks @samuel-w
- Improved handling of relative paths and extended device paths, thanks @dferreyra
- UI performance improvements, thanks @ltGuillaume
- Added exponential backup for retries, thanks @vmsh0
- Improved filter-text-box and made log-view resizable, thanks @idotj
- Improved error messages, thanks @warwickmm
- Added support for old and new Dropbox AuthIDs, thanks @kenkendk
- Improved database query performance, thanks @jedthe3rd

2022-03-13 - 2.0.6.101_canary_2022-03-13
==========
**NOTE**: This is a preliminary build that is not signed with AuthentiCode.

It is primarily intended for users that need access to Dropbox which stopped working after an update.
A signed version will be published asap.

- Fixed duplicity documentation Url, thanks @beppo-dd
- Added option to set Tencent storage class, thanks @moesoha
- Added Poli Systems as S3 provider, thanks @IIPoliII
- Improved automated unittests, thanks @samuel-w
- Improved contrast ratios in themes, thanks @samuel-w
- Improved handling of relative paths and extended device paths, thanks @dferreyra
- UI performance improvements, thanks @ltGuillaume
- Added exponential backup for retries, thanks @vmsh0
- Improved filter-text-box and made log-view resizable, thanks @idotj
- Improved error messages, thanks @warwickmm
- Added support for old and new Dropbox AuthIDs, thanks @kenkendk
- Improved database query performance, thanks @jedthe3rd

2021-08-11 - 2.0.6.100_canary_2021-08-11
==========
* Switched to improved CI model, thanks @warwickmm
* Fixed issue with reporting wasted space, thanks @aureliandevel
* Fixed throttling requests to OneDrive and respecting the server `retry-after` headers, thnaks @tygill
* File backend now overwrites files, thanks @warwickmm
* Added `.dar` files to list of compressed file extensions, thanks @samuel-w
* Fixed typos in example scripts, thanks @warwickmm
* The `Makefile` now calls `msbuild`, thanks @warwickmm
* When testing for known compressed file extensions, the compare is now case-insensitive, thanks @samuel-w
* Improved code quality, thanks @marodev
* Fixed an issue with handling the deprecated Azure and S3 options, thanks @warwickmm
* Avoid using ECDSA algorithm for SFTP if the client does not support it, thanks @warwickmm
* Added SAS token support to Azure backend, thanks @sergethedev17
* Improved test method for aFTP backend, thanks @sergethedev17
* Added support for mega.nz 2fa, thanks @vfrz
* Changed from Tardigrade backend to Storj DCS backend, thanks @TopperDEL
* Removed BouncyCastle dependency and now using .Net built-in parsing of SSL certificates, thanks @mnaiman
* Regex filters now match newlines in paths with wildcards, thanks @warwickmm
* Reduced number of cases where database cleanup is triggered, thanks @warwickmm
* Fixed a dispose bug in most backends introduced with `PutAsync`, thanks @warwickmm
* Updated UI to more prominently display deprecation information, thanks @warwickmm
* Fixed handling of special characters in paths on the aFTP backend, thanks @warwickmm

2021-06-17 - 2.0.6.3_beta_2021-06-17
==========
This is a minor bugfix release with only two changes, which affects a small number of users:

* Disabled SSH backend ECDSA keys on Mono as it does not work (see issue #4506)
* Fixed priority of options from AWS and Azure backend if both underscore and dashed version were used (see issue #4513)

2021-05-29 - 2.0.6.2_experimental_2021-05-29
==========
This is a minor bugfix release with only two changes:

* Disabled SSH backend ECDSA keys on Mono as it does not work (see issue #4506)
* Fixed priority of options from AWS and Azure backend if both underscore and dashed version were used (see issue #4513)

2021-05-03 - 2.0.6.1_beta_2021-05-03
==========
## First beta build in over a year!

We have been hard at work adding new features and fixing issues. This beta release is a roll-up of all the fixes since the last beta build and is expected to cause very few issues when upgrading. This release is based on 2.0.6.0_experimental.

A big thanks to all Duplicati contributors, supporters, fans and users for keeping the project evolving and improving.

### New in this version

- Added Tardigrade backend
- Added Tencent Cloud Object Storage (COS)
- More Docker image versions
- Improved long-path support on Windows

We changed some larger things that you should be aware of when upgrading.

### The SSH backend has been updated
This update increases the security by prefering stronger encryption algorithms.
However, this _can_ cause failing backups as the host key is reported as "changed".
If this happens, edit the backup and update the host key.

### Database version update from v10 to v11!
Downgrade from this version requires manually adjusting the version number in the database. The additions can be re-applied if the database is upgraded again later.

### Other changes that needs attention

- Duplicati now requires Mono 5.10 or greater
- S3 and Sharepoint option names on commandline now uses `-` for consistency (previously used `_`)

2021-03-10 - 2.0.5.114_canary_2021-03-10
==========
## This build intends to remove some erronous warnings from the S3 backend introduced in the previous canary.

## Detailed changes

* Fixed the cURL error message url, thanks @warwickmm
* Fixed the S3 warning messages, thanks @warwickmm

2021-03-07 - 2.0.5.113_canary_2021-03-07
==========
## This build has two potentially breaking changes:

### The Telegram backend is no longer included
If you rely on this backend, do not upgrade.

### The SSH backend has been updated
This update increases the security by prefering stronger encryption algorithms.
However, this _can_ cause failing backups as the host key is reported as "changed".
If this happens, edit the backup and update the host key.


## Detailed list of changes

* Fixed case where the stop button in the UI would be hidden behind the progress bar, thanks @jfparis
* Fixed tools to be Python3 compatible, thanks @jfparis
* Removed the Telegram backend, due to poor user feedback, thanks @warwickmm
* Reduced build sized by clearing unused Tardigrade library, thanks @warwickmm
* Fixed issue where license files were not correctly included in build, thanks @warwickmm
* Fixed cases where the `run-script` would get incorrect result values, thanks @warwickmm
* Updated SSH.Net to 2020.0.1, thanks @warwickmm
* Fixed an error when repairing a database, thanks @warwickmm
* Changed options to use `-` instead of `_` for consistency, thanks @julianohubel
* Fixed help output to hide deprecated options in some cases, thanks @kenkendk
* Updated login page to redirect better when a proxy is in use, thanks @scambra
* Fixed layout issues with scrollbars, thanks @warwickmm
* Updated to using specific Mono versions when building images and testing, thanks @warwickmm
* Improved unittesting, thanks @warwickmm
* Exclude `$XDG_CACHE_HOME` as part of the normal filters, thanks @warwickmm

2021-01-20 - 2.0.5.112_canary_2021-01-20
==========
Hightlights for this update:
* Stability improvements
* Error/help message improvemens
* New Telegram backend

Detailed list:
* Improved testing, thanks @warwickmm
* Disabled legacy path handling, thanks @dferreyra
* Bugfix for rclone backend (wrong paths), thanks @warwickmm
* Bugfix for Sia backend, thanks @warwickmm
* Fixed check for admin privileges on Synology, thanks @warwickmm
* Defer uploading fileset to guard against missing blocks error, thanks @seantempleton
* Fixed setting background-io-priority, thanks @achims311
* Added Telegram backend, thanks @martikyan
* Improved error logging on restore, thanks @barfoo4711
* Improved commandline documentation, thanks @apreiml
* Bugfix for run-script-before ignoring remoteurl, thanks @warwickmm
* Better error messages, thanks @warwickmm
* Code quality improvements, thanks @warwickmm
* Fixed error that occured when using the dry-run option of purge-broken-files, thanks @warwickmm
* Fixed logging errors when reading symlink targers, thanks @warwickmm
* Fixed error in OpenStack configuration UI, thanks @warwickmm
* Better error messages if webrequests return null, thanks @Gurthurb
* Fixed password manager autofill, thanks @drwtsn32x
* Updated CI GUI tests to work again and use Python3, thanks @warwickmm
* Fixed an issue that caused restore errors when running in Docker, thanks @warwickmm

2020-09-26 - 2.0.5.111_canary_2020-09-26
==========
* Support for Windows paths starting with "\\?\", thanks @dferreyra
* Improved performance of USN, thanks @dgehri
* Improved performance for restoring, thanks @pcmind
* Added support for filters with literals that would normally be treated as wildcards, thanks @dferreyra
* Improved build and tests, thanks @warwickmm and @dferreyra
* Switched to the new built-in .Net support for long paths, thanks @dferreyra
* Fixed issues with the Docker images by including mono-complete, thanks @warwickmm
* Fixed an issue with exporting passwords with url-encoding characters, thanks @warwickmm
* Fixed an issue with displaying icons in the restore tree, thanks @warwickmm
* Fixed a type that prevented a warning box from showing, thanks @warwickmm
* Added Storadera as an S3 destination, thanks @warwickmm

2020-08-10 - 2.0.5.110_canary_2020-08-10
==========
* Fixed an issue with snapshot paths, thanks @dferreyra

2020-08-07 - 2.0.5.109_canary_2020-08-07
==========
* Fixed hiding compression errors, thanks @jpschewe
* Fixed Tardigrade backend issues, thanks @TopperDEL
* Fixed a case where the recovery tool would fail to recover files witth dashes in the name, thanks @dferreyra
* Improved handling of "problematic" filenames on Windows and increased test coverage, thanks @dferreyra
* Improved test coverage for invalid paths and removed unused code, thanks @warwickmm
* Improved code to remove remote files to better support remote folders that are not exclusively used by Duplicati, thanks @warwickmm
* Updated to use and require .Net 4.7.1, thanks @warwickmm
* Updated USN support to work with the newer Windows features for moving instead of deleting files, thanks @dgehri

2020-07-09 - 2.0.5.108_canary_2020-07-09
==========
* Removed unsupported compiler directives, thanks @kenkendk
* Removed incorrect missing SSL certificate warnings, thanks @kenkendk
* Upograded to retina icons, thanks @baumerdev
* Updates to Tardigrade support, thanks @TopperDEL
* Added Tencent Cloud Object Storage (COS) backend, thanks @trueai-org
* Improved error reporting for S3 backend, thanks @jpschewe
* Added the Milan EU region to AWS S3 regions, thanks @warwickmm
* Fixed incorrect documentation on OpenStack help, thanks @warwickmm
* Fixed an incorrect endpoint for AWS S3 Bahrain, thanks @warwickmm
* Code cleanup, thanks @warwickmm
* Fixed a case where restoring files could fail if the containing folder was not restored, thanks @warwickmm
* Improved unittests, thanks @warwickmm

2020-05-26 - 2.0.5.107_canary_2020-05-26
==========
* Added a backend for Tardigrade.io, thanks @TopperDEL
* Updated translations, thanks to all translators!

2020-05-11 - 2.0.5.106_canary_2020-05-11
==========
NOTE: this version updates the database version from v10 to v11!

Downgrade from this version requires manually adjusting the version number in the database,
The additions can be re-applied if the database is upgraded again later.

* Added certificate dependency to debian packages, thanks @borfast
* Sorting files and folders in the WEB UI, thanks @drwtsn32x
* Code cleanup, unused code removal and more, thanks @warwickmm
* Updated exclusion folder list, thanks @drwtsn32x
* Fixed spelling issues for CLI help, thanks @comradekingu
* Fixed the hostname check to be case-insensitive, thanks @warwickmm
* No longer removes AlphaFS and AlphaVSS files from non-Windows packages, thanks @warwickmm
* Fixed a case where backups could run immediately and ignore the scheduled time, thanks @warwickmm
* Added a database index that signficantly improves database rebuilds, thanks @warwickmm
* Added MyCloudPlace as an S3 provider, thanks @cedbossneo
* Improved errors from Json source, thanks @kenkendk
* Changed mentions of "Amazon S3" to "S3 compatible", thanks @kenkendk

2020-03-25 - 2.0.5.104_canary_2020-03-25
==========
* Improved log messags when using retetion rules, thanks @warwickmm
* Added logging for USN soft-failures, thannks @drwtsn32x
* Improved regexp magic for parsing Windows, thanks @drwtsn32x
* Fixed storing `dlist` file after interrupted backup, thanks @seantempleton
* Improved logic around throttle values, thanks @seantempleton
* Fixed issues with Windows metadata and inheritance, thanks @drwtsn32x
* Major code cleanup, removing unused members and other, thanks @warwickmm
* Corrected retry attempts log message, thanks @warwickmm
* Fixed device-type reports on Mono, thanks @warwickmm
* Improved error messages during HTTP timeouts in some cases, thanks @warwickmm
* Reworked the MS-Graph backend to use an alternate HTTP implementation, thanks @tygill
* Fixed some cases where an interrupted backup could cause database corruption, thanks @seantempleton

2020-02-18 - 2.0.5.103_canary_2020-02-18
==========

This is a rebuild of 2.0.5.102 with a fix for MacOS packages

* Improved performance of the recovery-tool, thanks @tfriedel and @warwickmm
* Debian and RPM packages now require Mono 5.0, thanks @drwtsn32x
* Fixed issue with USN returning too many results, thanks @drwtsn32x
* Code quality improvements, thanks @warwickmm
* Added `.odg` and `.otg` as compressed file types, thanks @warwickmm
* Improved USN changes by looking at size and attributes, thanks @drwtsn32x
* Code quality improvements, thanks @drwtsn32x
* Unittest improvements, thanks @warwickmm
* The OVH backend now points to Keystone v3, thanks @warwickmm
* Fixed allowing minutes in retention rules, thanks @Pectojin
* Fixed loading SQLite on Windows, thanks @warwickmm

2020-02-18 - 2.0.5.102_canary_2020-02-18
==========
* Improved performance of the recovery-tool, thanks @tfriedel and @warwickmm
* Debian and RPM packages now require Mono 5.0, thanks @drwtsn32x
* Fixed issue with USN returning too many results, thanks @drwtsn32x
* Code quality improvements, thanks @warwickmm
* Added `.odg` and `.otg` as compressed file types, thanks @warwickmm
* Improved USN changes by looking at size and attributes, thanks @drwtsn32x
* Code quality improvements, thanks @drwtsn32x
* Unittest improvements, thanks @warwickmm
* The OVH backend now points to Keystone v3, thanks @warwickmm
* Fixed allowing minutes in retention rules, thanks @Pectojin
* Fixed loading SQLite on Windows, thanks @warwickmm

2020-01-23 - 2.0.5.101_canary_2020-01-23
==========
* Improved tests, thanks @drwtsn32x
* Fixed a case where repair fails due to missing `dindex` files, thanks @warwickmm
* Fixed an issue where compacted files would miss a blocklist, thanks @seantempleton
* Now producing Docker multi-arch images, thanks @dnrce
* Improved code quality and testing, thanks @warwickmm

2020-01-18 - 2.0.5.100_canary_2020-01-18
==========
* Fixed issue with restoring permissions with inheritance, thanks @drwtsn32x
* Improved tests, thanks @warwickmm
* Fixed an issue that could be triggered by force stopping a backup, thanks @warwickmm

2020-01-18 - 2.0.5.1_beta_2020-01-18
==========
This beta release is a collection of additions and improvements from many contributors.
Since it is released more than a year after the last beta, there is a large number of changes.

Important notes:
* On Linux, macOS, and other systems that require Mono, this version requires Mono v5 or later.

* On macOS please remove the current beta and install this version, instead of using the updater. Doing so, will make Duplicati compatible with Gatekeeper and allow you to grant permissions.

A big thanks to all Duplicati contributors, supporters, fans and users for keeping the project evolving and improving.

Note that the beta `v2.0.4.23` has database version `8` and this release has database version `10`. This means that your local database will be upgraded once you run this version, and you cannot roll back without some manual intervention.

Here is a short list of some of the more notable changes:

* Numerous bug fixes and performance enhancements.
* Updated translations, new languages added.
* Improved support for macOS Catalina
* Add support for minio backend.
* Improve tray icon to reflect warning state.
* Fix long path issue when path has 259 or 260 characters.
* Remove support for Amazon Cloud Drive.
* Fix input issues with dark theme.
* Fix bug in handling filter expressions.
* Fix purge operation with simple filters and case-sensitive filesystems.
* Fix ignoring of --tempdir option when using the command-line.
* Improved list of S3 compatible options and providers.
* Fix ability to stop backup after current file has finished processing.
* Updates to support libraries
* Improve logging during database recreation.
* Add option to skip vacuum operations within specified duration, `--auto-vacuum-interval`.
* Add option to skip compact operations within specified duration, `--auto-compact-interval`.
* Fix backup corruption from upload throttling. #3787
* Fix for “Unexpected difference in fileset”. #3800
* Fix for “CheckingErrorsForIssue1400” and “FoundIssue1400Error”. #3868
* Fix for “FTP (Alternative)” upload verification.
* Server database version is still 6. Backup database rose to 10. This may impede downgrades.

2020-01-03 - 2.0.5.0_experimental_2020-01-03
==========
This is once again a cumulative release for more than 6 months of hard work.
This release has a large number of stability improvements and speed optimizations.

If you are using macOS, please re-install from the .dmg or .pkg, as the launcher has been updated to work with GateKeeper.
Using the built-in update mechanism will not update the launcer and will not work well with GateKeeper on macOS Catalina.

A big thanks to the community members who work hard with fixing issues and responding on the forum:
https://forum.duplicati.com

2019-12-29 - 2.0.4.38_canary_2019-12-29
==========
* Fixed AutoUpdater environment setting to be parsed as a boolean, thanks @drwtsn32x
* Code cleanup for the SSH backend, thanks @verhoek
* Fixed an issue with restoring metadata on Windows, thanks @drwtsn32x
* Improved AppVeyor test builds, thanks @warwickmm
* Updated translations, thanks @kenkendk

2019-12-12 - 2.0.4.37_canary_2019-12-12
==========
* Updated and improved TrayIcon's for warning state, thanks @drwtsn32x
* Fixed a selection issue for file restores, thanks @drwtsn32x
* Updated build system and added tests, thanks @verhoek
* Added support for Minio as an S3 backend option, thanks @verhoek

2019-12-08 - 2.0.4.36_canary_2019-12-08
==========
* Removed Amazon Cloud Drive support, thanks @warwickmm
* Fixed an edge case where paths longer than 258 characters and short than 260 characters produced errors, thanks @drwtsn32x
* Fixed a number of edge cases where partial backups could create defect backups when used with retention rules, thanks @warwickmm
* Fixed a problem with SharePoint reporting conflicts after v2.0.4.35, thanks @warwickmm

2019-11-29 - 2.0.4.35_canary_2019-11-29
==========
* Made password input in dark-theme better, thanks @mithileshz
* Fixed resource leaks and shutdown code for OneDrive, thanks @tygill
* Report a warning if the backup was cancelled, thanks @warwickmm
* Do not warn if deletion fails but actually removes the remote file, thanks @drwtsn32x
* Prevent storing journal data on incomplete backups, thanks @drwtsn32x
* Disabled file attribute masking on Windows 10, thanks @drwtsn32x

2019-11-05 - 2.0.4.34_canary_2019-11-05
==========
* Stapling macOS notarization to bundles, thanks @kenkendk
* Removed option to store fileset in memory, thanks @tygill
* Fixed failure on password-protected servers introduced in 2.0.4.32, thanks @warwickmm
* Improved progress reporting, thanks @ltfish

2019-11-01 - 2.0.4.33_canary_2019-11-01
==========
* Re-added support for buffering requests via the http module, thanks @tygill
* Fixed an issue with invalid DateTimeOffset, thanks @warwickmm
* Added new macOS launchers that play nice with Gatekeeper in macOS Catalina, thanks @kenkendk
* Fixed an issue where `Exclude files whose names contains` would create invalid filters, thanks @kenkendk

2019-10-24 - 2.0.4.32_canary_2019-10-24
==========
* Code quality improvements, thanks @warwickmm
* Fixes to the `Alternative FTP` backend, thanks @kenkendk

2019-10-19 - 2.0.4.31_canary_2019-10-19
==========
* Updated translations, thanks all translators!
* Improved computing EPOCH style timestamps, thanks @kylestanfield
* Cleanup for removing deleted volumes with incorrect timestamps, thanks @BlueBlock
* Improved progress when deleting volumes, thanks @drwtsn32x
* Fixed an issue with ignoring the `--tempdir` option, thanks @drwtsn32x
* Fixed an issue restoring from a single-file backup, thanks @drwtsn32x
* Fixed filename color in dark theme, thanks @mithileshz
* Improved documentation and help texts, thanks @warwickmm
* Fixed parsing `%u`-style encoded unicode in URLs, thanks @warwickmm
* Fixed cases where a filelists could be omitted from `dindex` files, thanks @warwickmm
* Added a new tray-icon for the warning state, thanks @drwtsn32x
* Fixed a retry error where uploaded `dindex`-files would reference non-existing `dblock` files, thanks @warwickmm
* Code quality improvements, thanks @warwickmm
* Fixed a case where purging a single file would purge all *other* files, if the filesystem is case-sensitive, thanks @warwickmm

2019-09-20 - 2.0.4.30_canary_2019-09-20
==========
* Updated builds scripts to automatically notarize all packages for MacOS
* Updated all string using ... to us the ellipsis character, thanks @leela52452
* Code quality improvements and more tests, thanks @warwickmm
* Removed escaping of pipe characters on Linux, thanks @kenkendk
* Updated CoCoL to avoid excessive CPU usage, thanks @kenkendk
* Updated translations, thanks to all translators!
* Fixed a crash when connecting to a password protected server instance from the trayicon, thanks @kenkendk

2019-09-17 - 2.0.4.29_canary_2019-09-17
==========
* Added workaround for bug in Mono 6.0, thanks @warwickmm
* Extra logging during database recreates, thanks @drwtsn32x
* Added options to MSI installer for parameterized installs, thanks @BlueBlock
* Improved debug building, thanks @BlueBlock
* Updated packages: FluentFTP, CoCoL, Microsoft.Azure, AWSSDK, MailKit, MimeKit, thanks @BlueBlock
* Improved progress bar status, thanks @drwtsn32x
* Fixed a parsing issue when reading the server path in the UI, thanks @FlyingFox333
* Code quality improvements, thanks @warwickmm
* Added code to actually remove purged volumes, thanks @BlueBlock
* Updated bundled GPG and checking for user-installed GPG on Windows, thanks @BlueBlock
* Improved handling of the "Stop after current file" method, thnaks @BlueBlock
* Updated list of S3 locations and storage classes, thanks @kenkendk

2019-09-05 - 2.0.4.28_canary_2019-09-05
==========
* Updated CoCoL and WiX to fix rollback and upgrade errors, thanks @BlueBlock

2019-09-03 - 2.0.4.27_canary_2019-09-03
==========
* Fixed issues with the MSI packages not upgrading correctly, thanks @BlueBlock
* Fixed some assembly redirects and package references, thanks @BlueBlock
* Code cleanup for EPOCH times, thanks @warwickmm

2019-09-02 - 2.0.4.26_canary_2019-09-02
==========
== This is a rebuild of 2.0.4.24 with MSI packages and **new** assembly redirect fixes ==

Change list from 2.0.4.24:
* Code cleanup, thanks @warwickmm
* Removed extra console output, thanks @wjansenw
* Fixed disposing backends after job completion, thanks @warwickmm
* Fixed an issue with throttled write, thanks @warwickmm
* Spelling fix, thanks @BlueBlock
* Fixed documetation in `run-script` examples, thanks @beppo-dd
* Improved unittests, thanks @BlueBlock
* Improved auto-compact and auto-vacuum, thanks @drwtsn32x
* Fixed problem with exceeeding the number of parameters supported by SQLite, thanks @drwtsn32x
* Improved status display, thanks @drwtsn32x
* Improved bugreport database scrubbing, thanks @drwtsn32x
* Removed GoogleDrive trash items in listing, thanks @BlueBlock
* Fixed the rename method in the GoogleDrive backend, thanks @BlueBlock
* Improved GCS storage class text, thanks @warwickmm
* Improved unittests for easier local testing, thanks @warwickmm
* Added workaround for AFTP upload delay, thanks @BlueBlock
* Fixed issue with reading the largest path prefix, thanks @BlueBlock
* Added conditional download of unittest data zip files, thanks @BlueBlock
* CI testing improvements, thanks @BlueBlock
* Fixed sporadic issue with backups of files being written, thanks @BlueBlock
* Updated to .Net Framework 4.6.2
* Fixed issue with temporary files not being deleted as expected, thanks @BlueBlock
* Support for forcing calendar dates in time pickers, thanks @LacunaSoftware

2019-09-02 - 2.0.4.25_canary_2019-09-02
==========
== This is a rebuild of 2.0.4.24 with MSI packages and assembly redirect fixes ==

Change list from 2.0.4.24:
* Code cleanup, thanks @warwickmm
* Removed extra console output, thanks @wjansenw
* Fixed disposing backends after job completion, thanks @warwickmm
* Fixed an issue with throttled write, thanks @warwickmm
* Spelling fix, thanks @BlueBlock
* Fixed documetation in `run-script` examples, thanks @beppo-dd
* Improved unittests, thanks @BlueBlock
* Improved auto-compact and auto-vacuum, thanks @drwtsn32x
* Fixed problem with exceeeding the number of parameters supported by SQLite, thanks @drwtsn32x
* Improved status display, thanks @drwtsn32x
* Improved bugreport database scrubbing, thanks @drwtsn32x
* Removed GoogleDrive trash items in listing, thanks @BlueBlock
* Fixed the rename method in the GoogleDrive backend, thanks @BlueBlock
* Improved GCS storage class text, thanks @warwickmm
* Improved unittests for easier local testing, thanks @warwickmm
* Added workaround for AFTP upload delay, thanks @BlueBlock
* Fixed issue with reading the largest path prefix, thanks @BlueBlock
* Added conditional download of unittest data zip files, thanks @BlueBlock
* CI testing improvements, thanks @BlueBlock
* Fixed sporadic issue with backups of files being written, thanks @BlueBlock
* Updated to .Net Framework 4.6.2
* Fixed issue with temporary files not being deleted as expected, thanks @BlueBlock
* Support for forcing calendar dates in time pickers, thanks @LacunaSoftware

2019-09-02 - 2.0.4.24_canary_2019-09-02
==========
* Code cleanup, thanks @warwickmm
* Removed extra console output, thanks @wjansenw
* Fixed disposing backends after job completion, thanks @warwickmm
* Fixed an issue with throttled write, thanks @warwickmm
* Spelling fix, thanks @BlueBlock
* Fixed documetation in `run-script` examples, thanks @beppo-dd
* Improved unittests, thanks @BlueBlock
* Improved auto-compact and auto-vacuum, thanks @drwtsn32x
* Fixed problem with exceeeding the number of parameters supported by SQLite, thanks @drwtsn32x
* Improved status display, thanks @drwtsn32x
* Improved bugreport database scrubbing, thanks @drwtsn32x
* Removed GoogleDrive trash items in listing, thanks @BlueBlock
* Fixed the rename method in the GoogleDrive backend, thanks @BlueBlock
* Improved GCS storage class text, thanks @warwickmm
* Improved unittests for easier local testing, thanks @warwickmm
* Added workaround for AFTP upload delay, thanks @BlueBlock
* Fixed issue with reading the largest path prefix, thanks @BlueBlock
* Added conditional download of unittest data zip files, thanks @BlueBlock
* CI testing improvements, thanks @BlueBlock
* Fixed sporadic issue with backups of files being written, thanks @BlueBlock
* Updated to .Net Framework 4.6.2
* Fixed issue with temporary files not being deleted as expected, thanks @BlueBlock
* Support for forcing calendar dates in time pickers, thanks @LacunaSoftware

2019-07-14 - 2.0.4.23_beta_2019-07-14
==========
This update only contains warnings to inform users on Amazon Cloud Drive that the service is discontinued.
The update will warn users running or configuring a backup stored on Amazon Cloud Drive.

This does **NOT** affect other Amazon services such as S3.
If you do not use Amazon Cloud Drive, you can skip this update.

For more information on the changes, please see:
https://forum.duplicati.com/t/amazon-cloud-drive-discontinued/7391

2019-06-30 - 2.0.4.22_canary_2019-06-30
==========
* Fixed link to usage reporter, thanks @warwickmm
* Fixed using the B2 prefix, thanks @drwtsn32x
* Fixed data corruption caused by upload throttling, thanks @ts678
* Fixed data corruption caused by compacting, thanks @ts678 and @warwickmm

2019-06-28 - 2.0.4.21_experimental_2019-06-28
==========
This is a cumulative release for more than 6 months of hard work.
Most of these are speedup improvements, error handling and general quality fixes.

This release will give a warning for all users of the Amazon Cloud Drive backen, as it is being discontinued by Amazon:
https://forum.duplicati.com/t/amazon-cloud-drive-discontinued/7391

A big thanks to the community members who work hard with fixing issues and responding on the forum:
https://forum.duplicati.com

2019-06-25 - 2.0.4.20_canary_2019-06-25
==========
* Added warnings about AmzCD closing

2019-06-17 - 2.0.4.19_canary_2019-06-17
==========
* Show vacuum operation in status, thanks @drwtsn32x
* Remove deprectated options and code from backends, thanks @warwickmm
* Improved timeout handling for OAuth login, thanks @warwickmm
* Improved names of backup databases, thanks @drwtsn32x
* Removed the Google Plus icon, thanks @locked-fg

2019-05-12 - 2.0.4.18_canary_2019-05-12
==========
* Improved UI progress to show the VACUUM step, thanks @drwtsn32x
* Fixed GTK tray icons, thanks @warwickmm
* Improved error reporting from the webserver, thanks @warwickmm
* Code cleanup and quality improvements, thanks @warwickmm
* Ignoring empty remote files on restore, which speeds up recovery, thanks @pectojin
* Fixed subject line in email status messages, thanks @pectojin
* Fixed issues with Box and Amazon introduced in the latest canary, thanks @warwickmm
* Fixed issues with readling parameter file, thanks @warwickmm
* Improved filter handling for empty filters, thanks @dgehri
* Added API method to allow calling the VACUUM command from the browser, hanks @drwtsn32x

2019-04-11 - 2.0.4.17_canary_2019-04-11
==========
* Improved code quality, thanks @warwickmm
* Fixed an issue where index files were not generated, thanks @seantempleton
* Masked password fields in UI, thanks @drwtsn32x
* Added `fr_CA` translation and updated `fr` translation, thanks @flafleur
* Improved default exclude filters to catch Chrome file on Mac/Linux, thanks @flafleur
* Added support for Google Team Drive, thanks @mukut1994
* Fixed random database names being numeric
* Corrected description for approving self-signed certificates, thanks @flafleur
* Click on balloon tip on Windows now opens the browser, thanks @flafleur
* Fixed an error that prevented bug report databases from being created, thanls @pectojin
* Fixed documentation for buffer sizes, thanks @jonmikeiv
* Fixed an issue where an upload error would not be reported, thanks @warwickmm
* Improved documentation, thanks @space-alien
* Fixed captcha generating out-of-bounds characters, thanks @oslerw

2019-03-28 - 2.0.4.16_canary_2019-03-28
==========
* Fixed an issue with Sia authentication, thanks @Ajedi32
* Improved documentation, thanks @kesava-wow
* Improved code quality, thanks @warwickmm
* Added custom B2 download url option, thanks @aahung
* Updated list of Wasabi and S3 storage destinations, thanks @FroggieFrog
* Fixed a case where temporary files were not removed, thanks @warwickmm
* Code refactor and quality improvement, thanks @verhoek
* Added option for parallel uploads, thanks @seantempleton
* Improved exception messages, thanks @warwickmm
* Implemented Jottacloud multithreading uploads, thanks @nescafe2002

2019-02-06 - 2.0.4.15_canary_2019-02-06
==========
* Fixed an issue with backup of a Windows drive (without a path)
* Clarified the B2 user interface, thanks @Pectojin

2019-01-30 - 2.0.4.14_canary_2019-01-30
==========
* Fixed an issue with upgrading the database from a previous version
* If you used v2.0.4.13, your database is likely broken, see the forum for details: https://forum.duplicati.com/t/release-2-0-4-13-canary-2019-01-29/

2019-01-29 - 2.0.4.13_canary_2019-01-29
==========
* Added tests and improved code quality, thanks @warwickmm
* Changed the internal storage of paths to use a prefix method. This should reduce the size of the database significantly and enable much faster database queries later on
* Increased timeouts for reading the output from the commandline process to allow long running background jobs

2019-01-16 - 2.0.4.12_canary_2019-01-16
==========
* Many source code quality improvements, thanks @warwickmm
* Added test percentage option, thanks @warwickmm
* Fixed an issue with the log page not loading, thanks @LacunaSoftware
* Updated the Mega API, thanks @Pectojin
* Added tool to import a CLI backup into the server, thanks @warwickmm
* Improved build tools to separate and simplify the GPG signing step, thanks @v$
* Fixed a case where listing files backed up from a UNC path are not shown, tha$
* Removed the unused file lookup table, thanks @Pectojin
* Fixed an issue with the FTP backend where it would sporadically create files $
* Fixed quota reporting from GoogleDrive, thanks @warwickmm
* Improved code quality, thanks @verhoek
* (rebuild of 2.0.4.11)

2019-01-16 - 2.0.4.11_canary_2019-01-16
==========
* Many source code quality improvements, thanks @warwickmm
* Added test percentage option, thanks @warwickmm
* Fixed an issue with the log page not loading, thanks @LacunaSoftware
* Updated the Mega API, thanks @Pectojin
* Added tool to import a CLI backup into the server, thanks @warwickmm
* Improved build tools to separate and simplify the GPG signing step, thanks @verhoek
* Fixed a case where listing files backed up from a UNC path are not shown, thanks @mnaimann
* Removed the unused file lookup table, thanks @Pectojin
* Fixed an issue with the FTP backend where it would sporadically create files in the root folder of the server, thanks @balchen
* Fixed quota reporting from GoogleDrive, thanks @warwickmm
* Improved code quality, thanks @verhoek

2018-12-29 - 2.0.4.10_canary_2018-12-29
==========
* Improved passphrase export, thanks @Pectojin
* Fixed an issue with restores that have no password, thanks @warwickmm
* Fixed a process shutdown/restart issue on Synology, thanks @drwtsn32x
* Improved build and tests, thanks @verhoek
* Fixed issues with displaying logs from the UI, thanks @Pectojin
* Improved performance of filters by around 10x, thanks @warwickmm

2018-12-22 - 2.0.4.9_canary_2018-12-22
==========
* Improved code quality, thanks @warwickmm
* Fixed typo, thanks @JonMikeIV
* Improved speed from default filter groups, thanks @warwickmm
* Fixed CPU/memory issue on MacOS, thanks @warwickmm

2018-12-13 - 2.0.4.8_canary_2018-12-13
==========
* Fixed an issue that broke IE, thanks @mikaelmello

2018-12-13 - 2.0.4.7_canary_2018-12-13
==========
* Fixed an issue that broke IE, thanks @mikaelmello

2018-12-11 - 2.0.4.6_canary_2018-12-11
==========
* Improved code quality and documentation, thanks @warwickmm
* Don't ask for password for an unencrypted backup, thanks @verhoek
* SFTP can now create missing folder tree, thanks @warwickmm
* Removed duplicati http options, thanks @warwickmm
* Fixed an issue with exporting passwords, thanks @Pectojin
* Added notificaiton button for warnings, thanks @LacunaSoftware
* Added cache-buster for all local static files, thanks @LacunaSoftware
* Improved code quality, thanks @verhoek
* Fixed an issue where the GUI would not delete the local database, even on request, thanks @warwickmm
* Fixed a misleading path error message, thanks @mikaelmello
* Fixed scheduler checking allowed days in local timezone, thanks @LacunaSoftware
* Reworked the log UI, thanks @LacunaSoftware
* Fixed an issue where local times were reported as clashing if times overlapped due to DST

2018-11-28 - 2.0.4.5_beta_2018-11-28
==========
The major changes in this version are:

* New multi-threaded processing engine
* New logging system with filter options
* Better external reporting, with JSON support
* Filter groups to exclude common unwanted files
* Ignore filenames and empty folders added
* USN support on Windows
* Improved repair and validation
* Fixed reading password from console
* UID and GID now correctly restored on Linux/BSD/MacOS
* Added a number of new languages to the user interface

And of course many, many, other updates and fixes contributed by the Duplicati community.

A big thanks to all who contributes fixes, reportes issues, and participate on the forum!

2018-11-28 - 2.0.4.3_beta_2018-11-28
==========
The major changes in this version are:

* New multi-threaded processing engine
* New logging system with filter options
* Better external reporting, with JSON support
* Filter groups to exclude common unwanted files
* Ignore filenames and empty folders added
* USN support on Windows
* Improved repair and validation
* Fixed reading password from console
* UID and GID now correctly restored on Linux/BSD/MacOS
* Added a number of new languages to the user interface

And of course many, many, other updates and fixes contributed by the Duplicati community.

A big thanks to all who contributes fixes, reportes issues, and participate on the forum!

2018-11-12 - 2.0.4.2_experimental_2018-11-12
==========
* Rebuild of 2.0.4.1 due to errors in the Docker images

2018-11-08 - 2.0.4.1_experimental_2018-11-08
==========
This is a collection release that is based on the 2.0.3.14 canary build.

The major changes in this version are:

* New multi-threaded processing engine
* New logging system with filter options
* Better external reporting, with JSON support
* Filter groups to exclude common unwanted files
* Ignore filenames and empty folders added
* USN support on Windows
* Improved repair and validation
* Fixed reading password from console
* UID and GID now correctly restored on Linux/BSD/MacOS
* Added a number of new languages to the user interface

And of course many, many, other updates and fixes contributed by the Duplicati community.

A big thanks to all who contributes fixes, reportes issues, and participate on the forum!

2018-11-14 - 2.0.4.4_canary_2018-11-14
 ==========
* Added password confirmation on change, thanks @LacunaSoftware
* Fixed a crash with VSS, thanks @verhoek

2018-11-14 - 2.0.4.4_canary_2018-11-14
 ==========
* Added password confirmation on change, thanks @LacunaSoftware
* Fixed a crash with VSS, thanks @verhoek


2018-11-08 - 2.0.3.14_canary_2018-11-08
==========
* Removed unused icons, thanks @Pectojin
* Updated AWS libraries, thanks @Pectojin
* Removed the WindowsService restart fix as it did not work as expected

2018-10-31 - 2.0.3.13_canary_2018-10-31
==========
* Added more tests, thanks @warwickmm
* Fixed duration display in restore, thanks @verhoek
* Refactored Dropbox backend, thanks @verhoek
* Fixed a typo in the filter for excluding Firefox data, thanks @warwickmm
* Fixed problem with OneDrive "eating" leading slashes, thanks @warwickmm
* Improved Windows version detection for HyperV, thanks @mnaiman
* Added code to allow the Windows Service to correctly autoupdate

2018-10-23 - 2.0.3.12_canary_2018-10-23
==========
* Fixed translations not working for sub-cultures, thanks @LacunaSoftware
* Improved error detection and reporting
* Fixed progress bar not updating, thanks @LacunaSoftware
* Improved LVM handling, thanks @jkellerer
* Fixed issues with long paths and USN, thanks @dgehri
* Numerous code quality improvements, thanks @warwickmm
* Removal of unused code, thanks @Pectojin
* Added backup description field to UI, thanks @sffetlio
* Updated MegaApiClient to 1.6.3, thanks @Pectojin
* Normalize paths by forcing Windows drive letters to upper case, thanks @mnaiman
* Fixed progress stats gammar and consistency, thanks @lucascosti
* Fixed server errors with empty form changes, thanks @LacunaSoftware
* Improved error messages, thanks @warwickmm
* Added US-West to Wasabi, thanks @gzzengwei
* Added app manifest files for Windows, thanks @LacunaSoftware

2018-09-05 - 2.0.3.11_canary_2018-09-05
==========
* Cleanup of async methods and naming, thanks @warwickmm
* Added more non-compressible file extensions, thanks @ravisorg
* Login password field is now auto-focused, thanks @ltGuillaume
* Added more pause time options, thanks @bmendonca
* Fixed filename comparer to support correct filename encoding, thanks @warwickmm
* Changed the default filename query to fix reported slowdowns
* Added additional experimental queries to possible speed things up even more with 

2018-08-30 - 2.0.3.10_canary_2018-08-30
==========
* Updated the help text for no certificates found, thanks @jonmikeiv
* Fixed logging details, thanks @mnaiman
* Fixed error messages on repair, thanks @mnaiman
* Refactored the FTP backend, thanks @verhoek
* Rewrote the lock on database queries to be simpler and less CPU intensive
* Removed some logging details in core performance areas (can be re-enabled with `--profile-all-database-queries`)
* Removed automatic attempts to rebuild `dblock` files as it is slow and rarely finds all the missing pieces (can be enabled with `--rebuild-missing-dblock-files`).
* Fixed the version number on MacOS builds
* Updated the signing certificate for executables and Windows installers
* Added a hostname check for the webserver
* Fixed an issue where the number of remaining files would be negative
* Updated localization files
* Now emits a warning if the option is missing a suffix on sizes (b, kb, mb, gb, tb)
* Added partially translated Romanian, Swedish, Thai, Hungarian, Slovakian, Catalan, Japanese, Bengali, and Korean to langauges
* Fixed a number of issues with `--check-filetime-only`
* Removed the `--store-metadata` option
* Rewrote the query that fetches the previous information for a file or folder. Set the environment variable `TEST_QUERY_VERSION=1` to revert to the old version for speed comparison, or `TEST_QUERY_VERSION=2` for an alternate version.
* Improved UI status messages, thanks @lucascosti
* Failing to add a file will now give a warning instead of stopping the backup
* Removed a hot-item cache for VSS
* Added option `--disable-filelist-consistency-checks` to allow speeding up large backups
* Now ignoring `ENODATA` error message when reading metadata on Linux/BSD
* Added additional support for exit codes in `--run-script-before` to allow stopping the backup or emitting a warning 
* Fixed an issue with Google Cloud Storage, thanks @warwickmm
* Improved the B2 username field description, thanks @xfakt-pj
* Removed some unused code, thanks @warwickmm
* Improved source code documentation, thanks @mikaelmello

2018-06-30 - 2.0.3.9_canary_2018-06-30
==========
* Fixed an issue with dectection HyperV, thanks @mnaiman
* Default to exclude the System State VSS writers, thanks @mnaiman
* Fixed an issue where restores from the GUI would not autodetect blocksize and other parameters
* Fixed an issue with VSS failing to map the paths

2018-06-28 - 2.0.3.8_canary_2018-06-28
==========
* Fixed MSI version number
* Un-hid the Google GCS backend
* Fixed file sizes reported as zero
* Fixed a wrong display of sizes less than 1kb, thanks @fyndecano
* Improvements to the build process, thanks @verhoek
* Fixed a problem with the Amazon Cloud Drive delay, thanks @snamds
* Fixed a potential deadlock/performance issue, thanks @warwickmm
* Improved metadata reporting and UI, thanks @verhoek
* Improved Hyper-V detection, thanks @mnaiman
* Improved ways to handle the temporary folder, thanks @verhoek
* Added logic to remove privileges from the database files, thanks @verhoek
* Fixed a problem with USN support, thanks @dgehri
* Fixed temporary files not being removed
* Fixed no output from commandline on Windows
* Enabled password input from console again

2018-06-17 - 2.0.3.7_canary_2018-06-17
==========
* Added option to exclude empty folders
* Added option to exclude folders based on the existence of a marker file
* Changed the generation of index files to avoid pulling them from a database query
* Fixed an issue that would create large index files
* Improved the recreate logic to work if some files are missing, but the data exists in other files
* Fixed spacing in the status bar UI, thanks @SanduRajapakse
* Optimized unittests for serialization, thanks @warwickmm
* Improved commandline parsing, thanks @verhoek
* Added support for using the USN numbers for faster backups on NTFS drives, thanks @dgehri
* Added Duplicati program version in status results, thanks @drwtsn32x
* Added thread safe collections to the Synology auth handler, thanks @warwickmm
* Improved code readability, thanks @warwickmm
* Removed all calls to `Console.WriteLine` as it could lock up the console on Windows
* Added Memset Cloud Storage to OpenStack providers, thanks @tnwhitwell
* Refactored GoogleDrive backend, thanks @verhoek
* Improved unittest scripts, thanks @verhoek
* Optimized some string operations, thanks @warwickmm
* Fixed a few issues with the commandline interface, thanks @verhoek
* Updated built-in help for the new `--log-level` options, thanks @tygill
* Code cleanup and standardization, thanks @warwickmm
* Fixed issue on OneDrive (MSGraph) that would fail when trying to delete a missing file, thanks @tygill
* Added additional help text for the dblock size picker UI
* Added UI validation for B2 paths
* No longer restoring metadata on symlinks by default, as that updated the targets
* Fixed an issue with OAuth timeouts, thanks @tygill
* Fixed an issue with overriding the temporary folder, thanks @verhoek
* Fixed an issue with clearing callcontext settings, thanks @verhoek
* Fixed an issue with shared buffers causing validation errors when running multiple index file generators
* Improved the repair and broken file detection, thanks @tygill
* Refactored the Google Cloud Storage backend, thanks @verhoek
* Improved error message and handling for source folders with permission issues, thanks @verhoek
* Fixed a problem with recreating symlinks on Windows, thanks @snamds
* Improved handling of the console input/output, thanks @verhoek
* Fixed a race in the webserver when decoding locale, thanks @verhoek
* Added an option to disable automatic login from the tray icon
* Fixed some incorrect status reports being generated during backup
* Fixed an null-error in the box.com backend, thanks @warwickmm

2018-04-23 - 2.0.3.6_canary_2018-04-23
==========
This update adds concurrent processing for the backup. With this update, the backup will now use multiple cores to perform checking and compressing.
Use the advanced option `--concurrency-max-threads` to toggle how many threads to use.
The options `--concurrency-block-hashers` and `--concurrency-compressors` can be used to adjust the number of hashers and compressors to use.

Beware that this update contains a lot of new code, and should only be used in test environments.

Other fixes in this build:
* Fixes for filter groups, thanks @tygill
* Fixed a backup import issue with empty metadata
* Added upper bound to password checker, thanks @pectojin

2018-04-13 - 2.0.3.5_canary_2018-04-13
==========
* Improved progress bar messsages and layout, thanks @SanduRajapakse
* Improved icon status images, thanks @dbddhkpde
* Code and test cleanups, thanks @warwickmm
* Fixed an issue with rclone backend ignoring options, thanks @Bruceforce
* Added a fix for browsers with scripting disabled, thanks @Pectojin
* Added a button to dismiss all messages, thanks @Pectojin
* Added KeyStone v3 support to OpenStack backend, thanks @epol
* Updated translations, thanks to all translators!
* Fixed an issue that caused large log data to accumulate and break sending report/email status
* Added support for fine-grained control over how log data is reported via email, http and Jabber/XMPP
* Added support for sending JSON formatted data with the http report module
* Fixed an issue with MS Graph authentication, thanks @tygill
* Fixed a performance issue during file scanning, thanks @ltfish
* Added support for serializing results into json for all report modules and the run-script module as well, thanks @StephenGregory
* Added filter groups and a UI for it, thanks @tygill
* Fixed an issue where some paths were not reported via test-filters
* Fixed some issues with handling internal server settings, thanks @warwickmm

2018-04-02 - 2.0.3.4_canary_2018-04-02
==========
* Added support for setting low IO priority during backups
* Changed order of throttling arguments to fix incorrect throtling
* Added an option to disable backups when running on battery, thanks @warwickmm
* Fixed a crash on the CLI help page, thanks @tygill
* Added new Graph-API based backends for SharePoint and Office 365, thanks @tygill
* Added new UI status badges, thanks @dbddhkpde

2018-04-02 - 2.0.3.3_beta_2018-04-02
==========
This beta release contains many changes, a quick summary of changes:

* Fixed not running the slow VACUUM command after each operation
* Fixed a problem with SSL certificates periodically failing
* Added Sia and rclone backends
* Updated the hashing library to use faster native libraries where available
* Added a new retention policy and UI which allows backup versions to decrease over time
* Updated the auto-updater, such that new installs will spawn an extra process instead of using the AppDomain method as previously done.
* Faster browsing of files to restore
* Removed automatic tilde expansions as it created numerous problems
* Multiple new languages added to the UI
* Fixed a number of browser cache issues, which should fix the XSRF errors
* Fixed not attempting to read non-symlink reparse points on Windows
* Fixed some crashes that were caused by the usage reporter filling up reports

Thanks to the many contributors who worked hard to get this release ready!

2018-03-16 - 2.0.3.2_canary_2018-03-16
==========
* Added a new logging system with filters
* Source code documentation fixes and code quality fixes, thanks @warwickmm
* Improved the speed of the re-encrypt python script, thanks @piegamesde
* Added username and started-by information in the WebUI, thanks @Pectojin

2018-03-16 - 2.0.3.1_experimental_2018-03-16
==========
This experimental release is mostly the same as the canary build v2.0.2.20.
Some of the major changes from the experimental build 2.0.2.15 are:

* A new UI for setting the retention policy
* Added an rclone backend
* External links in the UI are now marked
* Fixed a number of browser cache issues, which should fix the XSRF errors
* Optional warnings when reaching the quota limit
* Fixed not attempting to read non-symlink reparse points on Windows
* Fixed a problem with the box.com backend
* Fixed some crashes that were caused by the usage reporter filling up reports
* Option to disable the file-size read-ahead scanner

2018-03-06 - 2.0.2.21_canary_2018-03-06
==========
* Rebuilt the style.css file
* Added support in all backends for reloading DNS names when the error indicates a DNS error
* Removed some default filters (still disabled by default), thanks @tygill
* Fixed a parsing case for the 'U' parameter, thanks @TekkiWuff
* Fixed a problem with IE not loading the page correctly, thanks @TekkiWuff
* Fixed a problem with setting the initial password on the server and some change-password issues, thanks @mnaiman

2018-02-27 - 2.0.2.20_canary_2018-02-27
==========
* Added Docker images, thanks @fkrull
* Fixed log entries being cut in UI, thanks @Pectojin
* Improved the webserver status codes, thanks @Pectojin
* Fixed the Mono download link for the OSX package, thanks @aranaur
* Improved the log UI to not load excessive results, thanks @Pectojin
* Fixed an issue where retention options would not clear in the UI, thanks @TekkiWuff
* Not applying default filters, unless explicitly enabled by the user
* Automatically reloading DNS entries for WebDAV if there is a name lookup error, thanks @Pectojin
* Improved rentention policy syntax and functionality, thanks @TekkiWuff
* Added script to re-encrypt remote files, thanks @wjansenw
* Fixed a number of incorrect HTTP status codes, thanks @Pectojin

2018-02-12 - 2.0.2.19_canary_2018-02-12
==========
* Updated translations
* Rebuilt stylesheet

2018-02-11 - 2.0.2.18_canary_2018-02-11
==========
* Fixes to the "advanced options" list in the GUI, thanks @pectojin
* Fixed OpenStack URI selector in the GUI, thanks @pectojin
* Added workaround to broken OneDrive file listing, thanks @osmogar
* Improvements to the log page, thanks @pectojin
* Fixed a scheduler issue with clock drift, thanks @pectojin
* Added option to ignore metadata when importing a backup, thanks @pectojin
* Improvements to backup retention, thanks @TekkiWuff
* Added `--parameters-file` to the server, thanks @pectojin
* Fixed incorrect size requirements for Synology package
* Fixes to the DuplicatiVerify.ps script, thanks @mnaiman
* Fixed showing backup durations longer than 24 hours, thanks @pectojin
* Fixed leaving orphan data in the settings database after deleting a backup job, thanks @pectojin
* Fixed many caching issues, which should also fix the XSRF error message
* Fixed sending "run now" commands in front of the backup queue, thanks @pectojin
* Added warnings when the backup is nearing the quota limit, thanks @tygill
* Fixed all reparse points were treated as symlinks, which fixes backup of OneDrive folders, thanks @tygill
* Fixed a crash on very fast copy operations, thanks @TekkiWuff
* Added .m2ts (BlueRay container) to the list of non-compressible extensions, thanks @pectojin
* Fixed a bug in the box.com backend that prevented backups
* Fixed a weird "0 warnings" message
* Made the GUI menu stay in place instead of scroll away, thanks @pectojin
* Fixed a problem where default filters were not applied when running from the server, thanks @tygill
* Added limitations to the usage reporter, so it does not attempt to submit a large backlog of data
* Fixed two cases where commandline arguments were not correctly formatted when sent to new processes
* Added support for disabling the file-size read-ahead scanner

2018-01-23 - 2.0.2.17_canary_2018-01-23
==========
- Fixed a bug with the update packages having an invalid hash
- Updated external links in the UI to be clearly marked
- Experimental support for Google Team Drives
- Fixed WEBDAV Test function, thanks @inat3k
- Added an rclone backend, thanks @wjansenw
- Fixed some broken error messages, thanks @JonMikeIV
- Added a simple UI for exposing the `--retention-policy` option

2018-01-18 - 2.0.2.16_canary_2018-01-18
==========
* Reworked some internal compression code, thanks @vnau
* Updated commandline documentation, thanks @mr-flibble
* Improved 64bit OS detection, thanks @warwickmm
* Fixed a problem with the progress bar hiding under the top bar, thanks @pectojin
* Fixed a problem displaying more than 10 advanced options, thanks @pectojin
* Improved detection of 32bit MSSQL on 64bit Windows, thanks @inat3k
* Changed load order of modules to allow `run-script` to change setup, thanks @BrianLakstins
* Added a `UserAgent` header to OD4B requests

2018-01-03 - 2.0.2.15_experimental_2018-01-03
==========
This is the same as build 2.0.2.14 canary

Overview of major and breaking changes since 2.0.1.73 experimental:
* Fixed not running the slow VACUUM command after each operation
* Improved S3 to work better with non AWS hosts
* Updated backend support libraries to the latest versions: Azure, AWS, SSH, SharpCompress, Mega, AlphaFS
* Fixed a problem with SSL certificates periodically failing
* Added a Sia backend
* Added a number of default excludes
* Updated the hashing library to use faster native libraries where available
* Added a new retention policy which allows backup versions to decrease over time
* Updated the auto-updater, such that new installs will spawn an extra process instead of using the AppDomain method as previously done.
* Faster browsing of files to restore
* Removed automatic tilde expansions as it created numerous problems
* Multiple new languages added to the UI

2017-12-22 - 2.0.2.14_canary_2017-12-22
==========
* Multiple code quality fixes, thansk @warwickmm
* Fixed a case where commandline arguments ending with a backslash were not correctly escaped on Windows

2017-11-22 - 2.0.2.13_canary_2017-11-22
==========
* Fixed an issue with AutoUpdater semi-ignoring webroot
* Fixed an issue where source folders would be omitted from the backup if a file with the same leading name was also added
* Switched to default "keep forever", thanks @ItEndsWithTens
* Fixed a startup crash caused by invalid throttle values
* Added a number of new languages, thanks to all translators!
* Timestamps in the log are now reported in local time and include a UTC timestamp for easy script parsing
* Added Windows registry exclusion list to the default exclude filters
* Added .dv files to compression exclusion list, thanks @jesjimher
* Fixed some spelling in the UI, thanks @davegold24 and @JonMikeIV
* Fixed logic of the `affected` command to not return empty results if the local database was not found
* Fixed a case where the "Resume" button did not appear clickable, thanks @JonMikeIV
* Improved query time for browsing folders during restore, thanks @RobSauro
* Commands are now sorted alphabetically, thanks @JonMikeIV
* Improved an error message when the SSH key failed to parse
* Removed tilde expansion to fix multiple issues caused by unexpected expansio, thanks @warwickmm
* Fixed .rbf files to only be excluded if they are part of the `config.msi` folder
* Improved the commandline export to show commandlines that are correctly escaped for the shell
* Fixed a case where the AutoUpdater would fail to send the correct commandline to the updated process

2017-10-20 - 2.0.2.12_canary_2017-10-20
==========
* Fixed not reporting "Finished" until the backup is actually finished, thanks @warwickmm
* Fixed stack overflow in FTP backend, thanks @tygill
* Fixed a number of incorrect exception messages, thanks @warwickmm
* Removed assembly signing for now, thanks @warwickmm

2017-10-20 - 2.0.2.11_canary_2017-10-20
==========
* Changed the way the auto-updater works. It now spawns a new version of the executable instead of attempting to run it in an AppDomain
  It is possible to revert to the old version by setting the environment variable `AUTOUPDATER_USE_APPDOMAIN=true`
* Updated Synology script to be better at locating Mono
* Service description now requests auto-restart
* Added the Czech (cs) translations
* Updated FasterHashing, so it automatically picks up openssl 1.0 and 1.1 on all platforms

2017-10-11 - 2.0.2.10_canary_2017-10-11
==========
* Fixed an issue with the compare command not working with filters
* Fixed showing the full version number on the app on MacOS
* Code quality cleanup, thanks @warwickmm
* Added code to detect the power supply source, thanks @warwickmm
* Fixed an issuw with quota detection for non-drive roots on Windows, thanks @t$
* Implemented retention policy as a commandline switch, thanks @tekkiwulf
* Improved default filters, thanks @tygill
* Updated FasterHashing to fix problems on MacOS and with OpenSSL 1.1
* Fixed the remote-file delete function to only delete Duplicati-related files
* Added option to run the tray-icon detached from the console

2017-10-01 - 2.0.2.9_canary_2017-10-01
==========
* Updated libraries: NewtonSoft.Json, AzureBlob, AWS, SSH, SharpCompress, Meg, NGetText, MimeKit, MailKit, AlphaFS, CoCoL
* Fixed the default-filters warning, thanks @tygill
* Added quota reporting to OneDrive, thanks @tygill
* Added a number of performance improvementes, thanks @warwickmm
* Switched hashing to use FasterHashing which loads OpenSSL or Apple CC libraries for much faster hashing performance
* Changed the `--zip-compression-method` option to report only the supported methods
* Fixed error on Compact that was caused by backend re-use

2017-09-20 - 2.0.2.8_canary_2017-09-20
==========
* Fixed passwordless SSH setup, thanks @Pectojin
* More fixes to the SSL certificate override issue
* Changed hash provider to use the native CNG version if available

2017-09-19 - 2.0.2.7_canary_2017-09-19
==========
* Fixed an issue with S3 IAM not working if the destination had subfolders
* Fixed an issue where the backup would error out reporting an extra file that was just deleted
* Fixed an issue with AmzCD not honoring the consistency delay in all cases
* Added support for GUID based source folders on Windows, thanks @tygill
* Fixed not being able to set "no delay" for startup settings, thanks @Pectojin
* Added nice-level to Duplicati-server on Linux-based installs, thanks @z0rc
* Re-introduced the machine name in the WebUI page title, thanks @Pectojin
* Reduced size of PNG images, thanks @PeterDaveHello
* Added default filters to exclude temp folders and similar, thanks @tygill
* Fixed all string compares to use ordinal compare, thanks @tygill
* Fixed a case where temporary files were not removed after verification

2017-09-16 - 2.0.2.6_canary_2017-09-16
==========
* Added an experiemental --use-block-cache flag to test performance potential

2017-09-14 - 2.0.2.5_canary_2017-09-14
==========
* Added support for wildcards in source paths on Windows, thanks @tygill
* Improved default values for Sia backend, thanks @fuffenz

2017-09-09 - 2.0.2.4_canary_2017-09-09
==========
* Fixed an issue that cause Duplicati GUI to fail on startup

2017-09-08 - 2.0.2.3_canary_2017-09-08
==========
* Added Italian and Chinese (Taiwan) to languages
* Fixed periodically loosing http certificate overrides
* Added status variables to mail/jabber/script/http reporters
* Added a Sia backend (thanks @fuffenz)
* Fixed issue with using Azure backend

2017-08-30 - 2.0.2.2_canary_2017-08-30
==========
* Fixed not performing vacuum all the time, thanks @danstahr
* Added Selectel as an OpenStack prodvider, thanks @febalist
* Added a fix for hanging "Connecting ..." dialogs on some machines
* Fixed an issue with the HTTP report module not using a custom message
* Updated translations, added Danish to the list, thanks to all translators!
* Improved error messages on passphrase change
* Fixed a crash that happened in the scheduler if the clock was changed with more than 3 months
* Fixed TrayIcon connecting over HTTPS if possible, thanks @mnaiman
* Added options to SSH library that allows configuring the timeout values
* Updated the Mega and SSH libraries
* Added support for detecting MacPorts versions of Mono
* Added a tooltip to the Windows trayicon
* Changed the logic in S3 to auto-set `--s3-ext-forcepathstyle` if the destination is not a known Amazon server
* Improved error message for WebDAV if the server returns 405
* Added a startup dialog that asks users to password protect the UI
* Added Wasabi as an S3 provider

2017-08-01 - 2.0.2.1_beta_2017-08-01
==========
This is the first Beta release of Duplicati 2.0.

It is a rebuild of version 2.0.1.73, intended for users who prefer a stable version instead of "bleeding edge" updates.

Thanks to everyone who has used Duplicati, reported bugs and contributed fixes!

2017-07-15 - 2.0.1.73_experimental_2017-07-15
==========
This version is the same as 2.0.1.72_canary.
Som of the changes from 2.0.1.61_experimental:

* Added a "dark" theme
* Updated thirdparty libraries
* Added JottaCloud backend
* Improved database rebuild speed
* Added throttle controls to the WebUI
* Switched to %LOCALAPPDATA% for storing data on Windows
* And more ...

2017-07-05 - 2.0.1.72_canary_2017-07-05
==========
* Fix duplicate `zip-compression-level` warning

2017-07-04 - 2.0.1.71_canary_2017-07-04
==========
* Fixed a problem with the Synology package allowing access without being authenticated with DSM

2017-07-04 - 2.0.1.70_canary_2017-07-04
==========
* Added support for enabling zip64
* Rewrote the Synology package to use nginx proxy features instead of CGI
* Added code signature to Synology package

2017-06-29 - 2.0.1.69_canary_2017-06-29
==========
* Added support for attaching the console to the service on Windows, thanks @mnaiman
* Fixed a crash when starting the trayicon with a password set, thanks @mnaiman

2017-06-28 - 2.0.1.68_canary_2017-06-28
==========
* Fixed an issue with password managers setting the password on configuration export
* Updated SQLite to 1.0.105.2 (3.19.3) on Windows
* Fixed an issue that prevented the TrayIcon "Quit" menu item from working
* Now using %LOCALAPPDATA% for storing local files on Windows, unless %APPDATA% already has data
* Updated AWS S3 libraries
* Switched to new Authenticode signing key

2017-06-21 - 2.0.1.67_canary_2017-06-21
==========
* Fixed the main menu "floating" up on small screens
* Fixed some issues with stopping a backup
* Fixed the help dialog for HubiC suggesting the default/ prefix
* Changed some texts in the UI
* Added live throttle control options
* Added option for TrayIcon to connect to the server without the password, if it can read the local database
* Added systed service file for RPM installs

2017-06-15 - 2.0.1.66_canary_2017-06-15
==========
* Removed the warning text on the settings page
* Added internal system for better database upgrades, thanks @Danstahr
* Included Jottacloud backend in the build output, thanks @Danstahr
* Fixed an arugment-out-of-range error in the "compare" method, thanks @Danstahr
* Added support for reading and writing filters in external scripts, thanks @IGTHORN
* Added an environment variable to override the default file-system case-sensitivity
* Improved recreate database speeds, thanks @zed9h

2017-06-09 - 2.0.1.65_canary_2017-06-09
==========
* Updated the Azure libraries
* Cleaned the deployed builds from XML files
* Fixed an out-of-bounds error, thanks @okoetter
* Updated localizations
* Fixed a bug where the SSL certificate was reported to the client

2017-06-02 - 2.0.1.64_canary_2017-06-02
==========
* Compile all executables without `Prefer32Bit`
* Fixed not showing the commandline arguments if the input is incorrect

2017-06-01 - 2.0.1.63_canary_2017-06-01
==========
* Rebuild, gpg was removed from the build maching causing 2.0.1.62 to be a partially unsigned build

2017-06-01 - 2.0.1.62_canary_2017-06-01
==========
* Caching is now enabled for static content in the WebUI, thanks @mknjc
* Fixed an issue with `--deleted-files`, thanks @downpoured
* Added permissions testing for the "Test connection" on aFTP, thanks @vnau
* Changed some `GET` calls to `POST` for the login sequence
* Fixed not being able to change the usagereporter level
* Added support for setting a theme
* Added the "dark" theme, thanks Michal
* Updated SharpCompress to the latest version

2017-05-30 - 2.0.1.61_experimental_2017-05-30
==========
This experimental release contains all the changes from canary v2.0.1.60,
including:

* Performance updates, faster backups, less memory
* Fixed an issue with zip files larger than 4GiB
* Improved import/export functions

If you are using VSS snapshots on Windows,
make sure you install VC++ 2015 redist:
https://www.microsoft.com/en-us/download/details.aspx?id=48145

2017-05-23 - 2.0.1.60_canary_2017-05-23
==========
* Re-enabled the GTK trayicon that was missing in the previous two versions

2017-05-22 - 2.0.1.59_canary_2017-05-22
==========
* Fixed an issue with NewtonSoft.Json not loading for some backends
* Note that Windows VSS now requires VC++ Redist 2015 installed

2017-05-19 - 2.0.1.58_canary_2017-05-19
==========
* Fixed an issue with the FTP backend in 2.0.1.57
* Improved the query used to get the timestamp if `--check-filetime-only` is enabled

2017-05-17 - 2.0.1.57_canary_2017-05-17
==========
* Fixed an issue with not being performed correctly with AmzCD
* Fixed the Windows verifyscript, thanks @mnaiman
* Updated fonts to work better with Russian language display, thanks @vnau
* Removed Tlsv1 option from server, thanks @mnaiman
* Updated NewtonSoft.Json, MailKit, MimeKit and AlphaVSS
* Fixed the way AllowWriteBuffering is used, which should fix delete errors on AmzCD
* Fixed an error in searching for files with regular expressions

2017-04-21 - 2.0.1.56_canary_2017-04-21
==========
* Fixed an issue with duplicate strings in S3 providers
* Fixed an issue where a file being expanded during backup could cause the file to not be backed up.
* Changed HTTP requests to not buffer the output to fix out-of-memory errors
* Added a Python script to do restores completely without using Duplicati, thanks @downpoured !
* Improved Amazon Cloud Drive by not waiting while performing batched requests

2017-04-06 - 2.0.1.55_canary_2017-04-06
==========
* Updated SharpCompress to support creating zip files larger than 4 GiB
* Added a commandline-like interface to the WebUI
* Updated the backendtool to support full paths
* Updated the list of S3 regions and servers
* Change the UI to have a fixed top-bar with status and progress
* Fixed a crash that occurs if the web-browser does not send `Accept-Language`
* Fixed an issue with filtering the output of the LIST command

2017-03-26 - 2.0.1.54_canary_2017-03-26
==========
* Fixed an unwanted empty folder creation, thanks @albertony
* Fixed logic issues with volumesize minimum bounds, thanks @albertony
* Fixed importing config files with AllowedDays set
* Improved database performance on backups, thanks @danstahr

2017-03-13 - 2.0.1.53_experimental_2017-03-13
==========
* This update contains the same fixes as canary 2.0.1.51

2017-03-13 - 2.0.1.52_canary_2017-03-13
==========
* Added fail-over to read zip files with invalid central directory
* Improved the login page for compatibility with password managers, thanks @johenning
* Improved the URL parser for better commandline import
* Improved the URL parsing when importing a saved configuration
* Added exit/status codes to the verification command
* Added IBM Bluemix COS to list of S3 providers, thanks @greyhoundforty
* Improved startup time for commandline, thanks @frelis
* Improved non-hosted mode for TrayIcon, thanks @mnaiman
* Added a Jottacloud backend, thanks @albertony

2017-03-03 - 2.0.1.51_canary_2017-03-03
==========
* Updated the bundled version of SQLite for Windows to 1.0.104.0
* Added deep archive verification when invoking verify
* Changed the pagination method for GoogleDrive

2017-02-28 - 2.0.1.50_canary_2017-02-28
==========
* Added error message if `--prefix` contains hyphens
* Fixed an issue with editing the allowed days on the schedule page
* Changed "import" so it just loads the configuration into the editor, allowing the user to edit it before saving
* Added function to restore that loads setup from a configuration file
* Updated SharpCompress and S3 libraries
* Improved crash messages for Windows TrayIcon

2017-02-23 - 2.0.1.49_experimental_2017-02-23
==========
* This build is the same as the canary

2017-02-23 - 2.0.1.48_canary_2017-02-23
==========
* Updated translations, thanks @agrajaghh
* Improved verification script, thanks @mnaiman
* Support for SSL certificates in server when running with Mono, thanks @mnaiman
* Improved progress bar updates when processing large files, thanks @asselin

2017-02-14 - 2.0.1.47_canary_2017-02-14
==========
* Updated some localizations
* Updated the user interface
* Fixed an issue where the Force Stop action did not work immediately

2017-02-03 - 2.0.1.46_canary_2017-02-03
==========
* Fixed icon sizes
* Removed the fake control.cgi entry
* Added experimental support for setting the SQLite tempdir
* Added an optimization that makes bug reports faster to create
* Added a new HTTP reporter module, thanks @vatara

2017-02-03 - 2.0.1.45_experimental_2017-02-03
==========
* This experimental release contains the fixes in the latest canary and some updated translations, and a fix that makes creating a bug-report faster

2017-01-24 - 2.0.1.44_canary_2017-01-24
==========
* Added SSL test tools for Mono debugging
* Fixed an issue with not reporting the correct error message when listing files
* Updated logs UI to show the backup name
* Added extra menu items to the start page
* Fixed a number of typos
* Added a more thorough consistency check
* Added an extra result level "fatal" to reporting
* Fixed reporting warning status if there were warnings during the backup

2017-01-19 - 2.0.1.43_canary_2017-01-19
==========
* Improved queries that are used to recreate the database
* Fixed duplicate logging entries when a log file was used

2017-01-16 - 2.0.1.41_canary_2017-01-16
==========
* Added a debugging feature to assist with #1699, #2048, #2140, #2178
* Fixed a problem with listing changes from the commandline

2017-01-12 - 2.0.1.40_canary_2017-01-12
==========
* Added extra functionality to the `--allow-full-removal` option
* Various updates to send-mail
* Reworked logging support to allow modules to funnel logs back into the current operation
* Reverted an optimization that cause backup scanning to be really slow

2017-01-08 - 2.0.1.39_canary_2017-01-08
==========
* Fixed some typos, thanks @sfahrenholz
* Added webp to compressed file extension list, thanks @dessant
* Changed aftp backend to use CWD, thanks @seaeagle1
* Added "purge" command to purge files from the database
* Added "list-broken-files" and "purge-broken-files" to aid in recovering from remote data loss
* Added additional trace log messages to debug some consistency issues
* Fixed support for operations across different operating systems
